*** SINTAXIS PARA EL CLCULO DE LOS ESTADSTICOS, TABULADOS E INDICADORES
*** DEL MDULO DE INFORMACIN AMBIENTAL EN AGRICULTURA DE LA ENCUESTA
*** DE SUPERFICIE Y PRODUCCIN AGROPECUARIA CONTINUA - ESPAC 2017.
*** REALIZADA POR: RAMIRO BENAVIDES Y RAFAEL ENCALADA - DEAGA.
*** 25 DE ABRIL DE 2018.
**************************************************************************************************************

* (0.1) CREACIN DE IDENTIFICADOR NICO DE ENCUESTA.
* ABRIR LA BASE DE DATOS DEL MDULO AMBIENTAL (ambnac2017.sav).

RENAME VARIABLES (ual_pro = ual_prov).

SORT CASES BY ual_prov ual_cant ual_parr ual_estr ual_segm al_ncues.

STRING identif (A17).
COMPUTE identif = CONCAT(LTRIM(RTRIM(ual_prov)), LTRIM(RTRIM(ual_cant)), LTRIM(RTRIM(ual_parr)), LTRIM(RTRIM(ual_estr)),
LTRIM(RTRIM(ual_segm)), LTRIM(RTRIM(al_ncues))).

SORT CASES BY identif.
COMPUTE id_unico = (LAG(identif) <> identif).
FREQUENCIES id_unico.

* (0.2) LLEVAR LA VARIABLE DE INSTRUCCIN (cg_k102) DESDE LA BASE DE CARACTERSTICAS GENERALES
* HASTA LA BASE DEL MDULO AMBIENTAL.

DATASET NAME ambientales. /* Correr esta lnea despus de pasar el enfoque a la base de Ambientales.

* ABRIR BASE DE CARACTERSTICAS GENERALES, SIN CERRAR LA BASE DEL MDULO AMBIENTAL.
DATASET NAME caracteristicas. /* Correr esta lnea despus de pasar el enfoque a la base de Caractersticas Generales.
DATASET ACTIVATE ambientales.
COMPUTE ORIGINAL = 1. /* Variable indicadora de los registros originales en la base de Ambientales. til para fusin de bases.
SORT CASES BY identif.

* CREACIN DE IDENTIFICADOR NICO DE ENCUESTA EN LA BASE DE CARACTERSTICAS GENERALES.
DATASET ACTIVATE caracteristicas.
STRING identif (A17).
COMPUTE identif = CONCAT(LTRIM(RTRIM(ual_prov)), LTRIM(RTRIM(ual_cant)), LTRIM(RTRIM(ual_parr)), LTRIM(RTRIM(ual_estr)),
LTRIM(RTRIM(ual_segm)), LTRIM(RTRIM(al_ncues))).

SORT CASES BY identif.
COMPUTE id_unico = (LAG(identif) <> identif).
FREQUENCIES id_unico.
SORT CASES BY identif.

* Fusin de la base "Ambientales" con la base "Caractersticas Generales" para llevar a la primera la
* variables de Nivel de Instruccin (cg_k102) de la Persona Productora (PP).
DATASET ACTIVATE ambientales.
MATCH FILES /TABLE=*
  /FILE='caracteristicas'
  /RENAME (al_ncues anio_enc cg_beneficiario cg_codcor cg_k100 cg_k101 cg_produpa cg_superficie 
    cg_unidadmedida cod_encu fexp_final id_unico PrimarioPrimero ual_cant ual_estr ual_parr ual_prov 
    ual_segm = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17) 
  /BY identif
  /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17.
EXECUTE.

FREQUENCIES cg_k102. /* Revisin de la variable transportada a la base de Ambientales.
SELECT IF (ORIGINAL = 1). /* Despus de la fusin, se mantienen nicamente los registros originales de la base de Ambientales.
EXECUTE.

SAVE OUTFILE='C:\ESPAC\PLAGUICIDAS 2016\ambnac2017.sav'
 /COMPRESSED.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (0) PREMBULO: CLCULO NO PUBLICADO DE LA SUPERFICIE AGROPECUARIA DEL ECUADOR.

*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac2017.sav)***.

 * WEIGHT OFF.
 * FILTER OFF.
 * COMPUTE cultiv_perm = (cp_clacul >= 400 & cp_clacul <= 499). /* Los cultivos permanentes estn en este rango de productos. 
 * FREQUENCIES cultiv_perm.

 * FILTER BY cultiv_perm.
 * WEIGHT BY fact_exp_fin.

***** TABLA 0, FILA 1: SUPERFICIE AGROPECUARIA DE CULTIVOS PERMANENTES.
* En la parte SUMA de esta tabla aparece la suma de los cultivos permanentes.
 * DESCRIPTIVES VARIABLES=cp_k409h
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

*** Se obtuvo 1'519'574.1774 ha. de cultivos permanentes.

 * WEIGHT OFF.
 * FILTER OFF.
 * COMPUTE pastos_cultiv = (cp_clacul >= 751 & cp_clacul <= 780). /* Los pastos cultivados estn en este rango de productos. 
 * FREQUENCIES pastos_cultiv.

 * FILTER BY pastos_cultiv.
 * WEIGHT BY fact_exp_fin.

***** TABLA 0, FILA 3: SUPERFICIE AGROPECUARIA DE PASTOS CULTIVADOS.
 * DESCRIPTIVES VARIABLES=cp_k409h
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

*** Se obtuvo 2'469'736.9822 ha. de pastos cultivados, EN LA BASE DE CULTIVOS PERMANENTES.

*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2017.sav) ***.

 * WEIGHT OFF.
 * FILTER OFF.
 * COMPUTE cultiv_tran = (ct_clacul >= 500 & ct_clacul <= 599). /* Los cultivos transitorios estn en este rango de productos. 
 * FREQUENCIES cultiv_tran.

 * RENAME VARIABLES (fac_exp_fin = fact_exp_fin).

 * USE ALL.
 * FILTER BY cultiv_tran.
 * WEIGHT BY fact_exp_fin.

***** TABLA 0, FILA 2: SUPERFICIE AGROPECUARIA DE CULTIVOS TRANSITORIOS.
 * DESCRIPTIVES VARIABLES=ct_k510h
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

*** Se obtuvo 1'091'791.0652 ha. de cultivos transitorios.

*** ABRIR BASE DE FLORES PERMANENTES (fpnac2017.sav)***.

 * WEIGHT OFF.
 * FILTER OFF.
 * COMPUTE flores_perm = (rc_clacul >= 700 & rc_clacul <= 720). /* Las flores permanentes estn en este rango de productos. 
 * FREQUENCIES flores_perm.

 * FILTER BY flores_perm.
 * WEIGHT BY fac_exp_fin.

***** SUPERFICIE AGROPECUARIA DE FLORES PERMANENTES.
***** TABLA 0, FILA 4: SUPERFICIE AGROPECUARIA DE FLORES PERMANENTES.
 * DESCRIPTIVES VARIABLES=fp_k706h
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

*** Se obtuvo 7'539.5630 ha. de flores permanentes.

*** ABRIR BASE DE FLORES TRANSITORIAS (ftnac2017.sav) ***.

 * WEIGHT OFF.
 * FILTER OFF.
 * COMPUTE flores_tran = (rc_clacul >= 721 & rc_clacul <= 750). /* Las flores transitorias estn en este rango de productos. 
 * FREQUENCIES flores_tran.

 * USE ALL.
 * FILTER BY flores_tran.
 * WEIGHT BY fac_exp_fin.

***** SUPERFICIE AGROPECUARIA DE FLORES TRANSITORIAS.
***** TABLA 0, FILA 4: SUPERFICIE AGROPECUARIA DE FLORES TRANSITORIAS.
 * DESCRIPTIVES VARIABLES=ft_k720h
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

*** Se obtuvo 2'446.3764 ha. de flores transitorias.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* SECCIN 1. CULTIVOS.

* TABLAS 1 y 2: SUPERFICIE PRODUCTIVA PERDIDA A NIVEL NACIONAL (ha).

*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

FREQUENCIES cp_nuevacondicion. /* Condicin del cultivo permanente: 1 = Solo; 2 = Asociado; 3 = Invernadero.
FREQUENCIES cp_k412. /* Razn principal de prdida: 1 = Sequa; 2 = Helada; 3 = Plagas; 4 = Enfermedades; 5 = Inundacin; 6 = Otra.

WEIGHT BY fact_exp_fin.

***** TABLA 1. SUPERFICIE PERDIDA EN CULTIVOS PERMANENTES, POR FORMA DE SIEMBRA O PLANTACIN Y SEGN DIFERENTES CAUSAS DE PRDIDA

CTABLES
  /VLABELS VARIABLES=cp_nuevacondicion cp_k412 cp_superdida DISPLAY=LABEL
  /TABLE cp_nuevacondicion BY cp_k412 > cp_superdida [SUM, ROWPCT.SUM PCT40.1]
  /CATEGORIES VARIABLES=cp_nuevacondicion ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=cp_k412 [1, 2, 3, 4, 5, 6] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE=' SUPERFICIE PERDIDA EN CULTIVOS PERMANENTES, POR FORMA DE SIEMBRA O PLANTACIN Y SEGN DIFERENTES CAUSAS DE PRDIDA'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.


*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

FREQUENCIES ct_nuevacondicion. /* Condicin del cultivo transitorio: 1 = Solo; 2 = Asociado; 3 = Invernadero.
FREQUENCIES ct_k512. /* Razn principal de prdida: 1 = Sequa; 2 = Helada; 3 = Plagas; 4 = Enfermedades; 5 = Inundacin; 6 = Otra.

WEIGHT BY fact_exp_fin.

***** TABLA 2. SUPERFICIE PERDIDA EN CULTIVOS PERMANENTES, POR FORMA DE SIEMBRA O PLANTACIN Y SEGN DIFERENTES CAUSAS DE PRDIDA

CTABLES
  /VLABELS VARIABLES=ct_nuevacondicion ct_k512 ct_superdida DISPLAY=LABEL
  /TABLE ct_nuevacondicion BY ct_k512 > ct_superdida [SUM, ROWPCT.SUM PCT40.1]
  /CATEGORIES VARIABLES=ct_nuevacondicion ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=ct_k512 [1, 2, 3, 4, 5, 6] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE=' SUPERFICIE PERDIDA EN CULTIVOS TRANSITORIOS, POR FORMA DE SIEMBRA O PLANTACIN Y SEGN DIFERENTES CAUSAS DE PRDIDA'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 3. SUPERFICIE DONDE SE PRACTICA LA ROTACIN DE CULTIVOS TRANSITORIOS.

*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

COMPUTE cultiv_tran = (ct_clacul >= 500 & ct_clacul <= 599). /* Los cultivos transitorios estn en este rango de productos. 

VALUE LABELS ct_rotacion /* Realiza rotacin de cultivos?
1'S'
2'No'.

FREQUENCIES ct_k510h. /* Superficie sembrada (ha) en cultivos transitorios.
FILTER BY cultiv_tran.

WEIGHT BY fact_exp_fin.

***** TABLA 3. SUPERFICIE DONDE SE PRACTICA LA ROTACIN DE CULTIVOS TRANSITORIOS.

CTABLES
  /VLABELS VARIABLES=CT_ROTACION ct_k510h DISPLAY=LABEL
  /TABLE CT_ROTACION BY ct_k510h [SUM, COLPCT.SUM PCT40.1]
  /CATEGORIES VARIABLES=CT_ROTACION ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
   /TITLES
    TITLE=' SUPERFICIE DONDE SE PRACTICA LA ROTACIN DE CULTIVOS TRANSITORIOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

FILTER OFF.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 4. SUPERFICIE PLANTADA POR FORMA DE SIEMBRA O PLANTACIN Y SEGN TIPO DE SEMILLA USADA EN CULTIVOS PERMANENTES
*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

COMPUTE cultiv_perm = (cp_clacul >= 400 & cp_clacul <= 499). /* Los cultivos permanentes estn en este rango de productos.
COMPUTE pastos_cultiv = (cp_clacul >= 751 & cp_clacul <= 780). /* Los pastos cultivados estn en este rango de productos.
FREQUENCIES cultiv_perm pastos_cultiv.

FREQUENCIES cp_k408r. /* Semilla de ms uso: 1 = Comn; 2 = Mejorada; 3 = Hbrida nacional; 4 = Hbrida internacional.

RECODE cp_k408 (0 = SYSMIS) (ELSE = COPY) INTO cp_k408r.
VALUE LABELS cp_k408r 1'COMN'
2'MEJORADA'
3'HBRIDA NACIONAL'
4'HBRIDA INTERNACIONAL'.

FILTER BY cultiv_perm.

WEIGHT BY fact_exp_fin.

***** TABLA 4. SUPERFICIE PLANTADA POR FORMA DE SIEMBRA O PLANTACIN Y SEGN TIPO DE SEMILLA USADA EN CULTIVOS PERMANENTES.

CTABLES
  /VLABELS VARIABLES=cp_nuevacondicion cp_k408r cp_k409h DISPLAY=LABEL
  /TABLE cp_nuevacondicion [C] BY cp_k408r > cp_k409h [SUM]
  /CATEGORIES VARIABLES=cp_nuevacondicion cp_k408r ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
   /TITLES
    TITLE='SUPERFICIE PLANTADA POR FORMA DE SIEMBRA O PLANTACIN Y SEGN TIPO DE SEMILLA USADA EN CULTIVOS PERMANENTES'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

FILTER OFF.


*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2017.sav)  ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

COMPUTE cultiv_tran = (ct_clacul >= 500 & ct_clacul <= 599). /* Los cultivos transitorios estn en este rango de productos. 
FREQUENCIES cultiv_tran.

FREQUENCIES ct_k506. /* Semilla de ms uso: 1 = Comn; 2 = Mejorada; 3 = Certificada; 4 = Hbrida nacional; 5 = Hbrida internacional.

RECODE ct_k506 (0 = SYSMIS) (ELSE = COPY) INTO ct_k506r.
VALUE LABELS ct_k506r 1'COMN'
2'MEJORADA'
3'CERTIFICADA'
4'HBRIDA NACIONAL'
5'HBRIDA INTERNACIONAL'.

FILTER BY cultiv_tran.

WEIGHT BY fact_exp_fin.

***** TABLA 5. SUPERFICIE PLANTADA POR FORMA DE SIEMBRA O PLANTACIN Y SEGN TIPO DE SEMILLA USADA EN CULTIVOS TRANSITORIOS.

CTABLES
  /VLABELS VARIABLES=ct_nuevacondicion ct_k506r ct_k510h DISPLAY=LABEL
  /TABLE ct_nuevacondicion [C] BY ct_k506r > ct_k510h [SUM]
  /CATEGORIES VARIABLES=ct_nuevacondicion ct_k506r ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
   /TITLES
    TITLE='SUPERFICIE PLANTADA POR FORMA DE SIEMBRA O PLANTACIN Y SEGN TIPO DE SEMILLA USADA EN CULTIVOS TRANSITORIOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

FILTER OFF.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 6. SUPERFICIE PLANTADA O SEMBRADA, POR USO DE INSUMOS AGRCOLAS (ORGNICOS Y QUMICOS)

*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

COMPUTE ORG = ((cp_forg = 1 OR cp_porg = 1) AND (cp_fqui = 2 AND cp_pqui = 2)). /* Uso orgnico puro.
COMPUTE QUI = ((cp_fqui = 1 OR cp_pqui = 1) AND (cp_forg = 2 AND cp_porg = 2)). /* Uso qumico puro.
COMPUTE NIN = (cp_forg = 2 AND cp_porg = 2 AND cp_fqui = 2 AND cp_pqui = 2). /* Uso sin agrosustancias.
COMPUTE TOD = ~(ORG = 1 OR QUI = 1 OR NIN = 1). /* Uso con todas las agrosustancias.
FREQUENCIES ORG QUI NIN TOD.

VARIABLE LABELS ORG "Uso de insumos orgnicos".
VARIABLE LABELS QUI "Uso de insumos qumicos".
VARIABLE LABELS TOD "Uso de insumos orgnicos y qumicos".
VARIABLE LABELS NIN "No usan ningn tipo de insumo".
VALUE LABELS ORG QUI NIN TOD 0'No' 1'S'.

FILTER BY cultiv_perm.

WEIGHT BY fact_exp_fin.

***** TABLA 6A. SUPERFICIE PLANTADA POR USO DE INSUMOS AGRCOLAS (ORGNICOS Y QUMICOS) EN CULTIVOS PERMANENTES.

CTABLES
  /VLABELS VARIABLES=ORG QUI TOD NIN cp_k409h DISPLAY=LABEL
  /TABLE ORG + QUI + TOD + NIN BY cp_k409h [SUM]
  /CATEGORIES VARIABLES=ORG [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=QUI [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=TOD [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=NIN [1] EMPTY=EXCLUDE
   /TITLES
    TITLE='SUPERFICIE PLANTADA (ha) POR USO DE INSUMOS AGRCOLAS (ORGNICOS Y QUMICOS) EN CULTIVOS PERMANENTES'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.


*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

COMPUTE ORG = ((ct_forg = 1 OR ct_porg = 1) AND (ct_fqui = 2 AND ct_pqui = 2)). /* Uso orgnico puro.
COMPUTE QUI = ((ct_fqui = 1 OR ct_pqui = 1) AND (ct_forg = 2 AND ct_porg = 2)). /* Uso qumico puro.
COMPUTE NIN = (ct_forg = 2 AND ct_porg = 2 AND ct_fqui = 2 AND ct_pqui = 2). /* Uso sin agrosustancias.
COMPUTE TOD = ~(ORG = 1 OR QUI = 1 OR NIN = 1). /* Uso con todas las agrosustancias.
FREQUENCIES ORG QUI NIN TOD.

VARIABLE LABELS ORG "Uso de insumos orgnicos".
VARIABLE LABELS QUI "Uso de insumos qumicos".
VARIABLE LABELS TOD "Uso de insumos orgnicos y qumicos".
VARIABLE LABELS NIN "No usan ningn tipo de insumo".
VALUE LABELS ORG QUI NIN TOD 0'No' 1'S'.

FILTER BY cultiv_tran.

WEIGHT BY fact_exp_fin.

***** TABLA 6B. SUPERFICIE SEMBRADA POR USO DE INSUMOS AGRCOLAS (ORGNICOS Y QUMICOS) EN CULTIVOS TRANSITORIOS.

CTABLES
  /VLABELS VARIABLES=ORG QUI TOD NIN ct_k510h DISPLAY=LABEL
  /TABLE ORG + QUI + TOD + NIN BY ct_k510h [SUM]
  /CATEGORIES VARIABLES=ORG [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=QUI [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=TOD [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=NIN [1] EMPTY=EXCLUDE
  /TITLES
    TITLE='SUPERFICIE SEMBRADA (ha) POR USO DE INSUMOS AGRCOLAS (ORGNICOS Y QUMICOS) EN CULTIVOS TRANSITORIOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 7. SUPERFICIE PLANTADA POR CONDICIN DE CULTIVO Y SEGN TIPO DE FERTILIZANTE O FITOSANITARIO EN CULTIVOS PERMANENTES.

*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

FILTER BY cultiv_perm.

WEIGHT BY fact_exp_fin.

***** TABLA 7. SUPERFICIE PLANTADA POR CONDICIN DE CULTIVO Y SEGN TIPO DE FERTILIZANTE O FITOSANITARIO EN CULTIVOS PERMANENTES.

CTABLES
  /VLABELS VARIABLES=cp_nuevacondicion cp_k409h cp_forg cp_fqui cp_porg cp_pqui DISPLAY=LABEL
  /TABLE cp_nuevacondicion [C] BY cp_k409h [S][SUM] + cp_k409h [S][SUM] > (cp_forg [C] + cp_fqui [C]) + cp_k409h [S][SUM] > (cp_porg [C] + cp_pqui [C])
  /CATEGORIES VARIABLES=cp_nuevacondicion ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=cp_forg cp_fqui cp_porg cp_pqui [1] EMPTY=INCLUDE
  /TITLES
    TITLE='SUPERFICIE PLANTADA (ha) POR CONDICIN DE CULTIVO Y SEGN TIPO DE FERTILIZANTE O FITOSANITARIO'  'C. PERMANENTES'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 8. SUPERFICIE SEMBRADA POR CONDICIN DE CULTIVO Y SEGN TIPO DE FERTILIZANTE O FITOSANITARIO EN CULTIVOS TRANSITORIOS.

*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

FILTER BY cultiv_tran.

WEIGHT BY fact_exp_fin.

***** TABLA 8. SUPERFICIE SEMBRADA POR CONDICIN DE CULTIVO Y SEGN TIPO DE FERTILIZANTE O FITOSANITARIO EN CULTIVOS TRANSITORIOS.

CTABLES
  /VLABELS VARIABLES=ct_nuevacondicion ct_k510h ct_forg ct_fqui ct_porg ct_pqui DISPLAY=LABEL
  /TABLE ct_nuevacondicion [C] BY ct_k510h [S][SUM] + ct_k510h [S][SUM] > (ct_forg [C] + ct_fqui [C]) + ct_k510h [S][SUM] > (ct_porg [C] + ct_pqui [C])
  /CATEGORIES VARIABLES=ct_nuevacondicion ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=ct_forg ct_fqui ct_porg ct_pqui [1] EMPTY=INCLUDE
  /TITLES
    TITLE='SUPERFICIE SEMBRADA (ha) POR CONDICIN DE CULTIVO Y SEGN TIPO DE FERTILIZANTE O FITOSANITARIO'  'C. TRANSITORIOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 9. SUPERFICIE PLANTADA O SEMBRADA POR TIPO DE CULTIVO Y SEGN USO DE INSUMOS ORGNICOS O QUMICOS

*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

FILTER BY pastos_cultiv.

WEIGHT BY fact_exp_fin.

***** TABLA 9, FILA 1: SUPERFICIE PLANTADA (ha) EN PASTOS CULTIVADOS SEGN USO DE INSUMOS ORGNICOS O QUMICOS.

CTABLES
  /VLABELS VARIABLES=ORG cp_k409h QUI DISPLAY=LABEL
  /TABLE BY ORG [C] > cp_k409h [S][SUM] + QUI [C] > cp_k409h [S][SUM]
  /CATEGORIES VARIABLES=ORG [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=QUI [1] EMPTY=INCLUDE
  /TITLES
    TITLE='SUPERFICIE PLANTADA (ha) SEGN USO DE INSUMOS ORGNICOS O QUMICOS'  'Pastos Cultivados'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

FILTER BY cultiv_perm.

WEIGHT BY fact_exp_fin.

***** TABLA 9, FILA 2: SUPERFICIE PLANTADA (ha) EN CULTIVOS PERMANENTES SEGN USO DE INSUMOS ORGNICOS O QUMICOS.

CTABLES
  /VLABELS VARIABLES=ORG cp_k409h QUI DISPLAY=LABEL
  /TABLE BY ORG [C] > cp_k409h [S][SUM] + QUI [C] > cp_k409h [S][SUM]
  /CATEGORIES VARIABLES=ORG [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=QUI [1] EMPTY=INCLUDE
  /TITLES
    TITLE='SUPERFICIE PLANTADA (ha) SEGN USO DE INSUMOS ORGNICOS O QUMICOS'  'Cultivos Permanentes'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.


*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

FILTER BY cultiv_tran.

WEIGHT BY fact_exp_fin.

***** TABLA 9, FILA 3: SUPERFICIE SEMBRADA (ha) EN CULTIVOS TRANSITORIOS SEGN USO DE INSUMOS ORGNICOS O QUMICOS.

CTABLES
  /VLABELS VARIABLES=ORG ct_k510h QUI DISPLAY=LABEL
  /TABLE BY ORG [C] > ct_k510h [S][SUM] + QUI [C] > ct_k510h [S][SUM]
  /CATEGORIES VARIABLES=ORG [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=QUI [1] EMPTY=INCLUDE
  /TITLES
    TITLE='SUPERFICIE SEMBRADA (ha) SEGN USO DE INSUMOS ORGNICOS O QUMICOS'  'Cultivos Transitorios'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 10. SUPERFICIE PLANTADA EN PASTOS CULTIVADOS POR TIPO DE PASTO Y SEGN USO DE INSUMOS ORGNICOS O QUMICOS

*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

FILTER BY pastos_cultiv.

WEIGHT BY fact_exp_fin.

***** TABLA 10. SUPERFICIE PLANTADA EN PASTOS CULTIVADOS POR TIPO DE PASTO Y SEGN USO DE INSUMOS ORGNICOS O QUMICOS.

CTABLES
  /VLABELS VARIABLES=cp_clacul ORG cp_k409h QUI DISPLAY=LABEL
  /TABLE cp_clacul [C] BY ORG [C] > cp_k409h [S][SUM] + QUI [C] > cp_k409h [S][SUM]
  /CATEGORIES VARIABLES=cp_clacul ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=ORG [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=QUI [1] EMPTY=INCLUDE
  /TITLES
    TITLE='SUPERFICIE PLANTADA (ha) EN PASTOS CULTIVADOS POR TIPO DE PASTO Y SEGN USO DE INSUMOS ORGNICOS O QUMICOS'
    'Pastos Cultivados'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 11. SUPERFICIE PLANTADA EN CULTIVOS PERMANENTES POR CULTIVO Y SEGN USO DE INSUMOS ORGNICOS O QUMICOS.

*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

FILTER BY cultiv_perm.

WEIGHT BY fact_exp_fin.

***** TABLA 11. SUPERFICIE PLANTADA EN CULTIVOS PERMANENTES POR CULTIVO Y SEGN USO DE INSUMOS ORGNICOS O QUMICOS.

CTABLES
  /VLABELS VARIABLES=cp_nclavr ORG cp_k409h QUI DISPLAY=LABEL
  /TABLE cp_nclavr [C] BY ORG [C] > cp_k409h [S][SUM] + QUI [C] > cp_k409h [S][SUM]
  /CATEGORIES VARIABLES=cp_nclavr ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=ORG [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=QUI [1] EMPTY=INCLUDE
  /TITLES
    TITLE='SUPERFICIE PLANTADA (ha) EN CULTIVOS PERMANENTES POR CULTIVO Y SEGN USO DE INSUMOS ORGNICOS O QUMICOS'
    'Cultivos Permanentes'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 12. SUPERFICIE SEMBRADA EN CULTIVOS TRANSITORIOS POR CULTIVO Y SEGN USO DE INSUMOS ORGNICOS O QUMICOS.

*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

FILTER BY cultiv_tran.

WEIGHT BY fact_exp_fin.

***** TABLA 12. SUPERFICIE SEMBRADA EN CULTIVOS TRANSITORIOS POR CULTIVO Y SEGN USO DE INSUMOS ORGNICOS O QUMICOS.

CTABLES
  /VLABELS VARIABLES=ct_nclavr ORG ct_k510h QUI DISPLAY=LABEL
  /TABLE ct_nclavr [C] BY ORG [C] > ct_k510h [S][SUM] + QUI [C] > ct_k510h [S][SUM]
  /CATEGORIES VARIABLES=ct_nclavr ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=ORG [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=QUI [1] EMPTY=INCLUDE
  /TITLES
    TITLE='SUPERFICIE SEMBRADA (ha) EN CULTIVOS TRANSITORIOS POR CULTIVO Y SEGN USO DE INSUMOS ORGNICOS O QUMICOS'
    'Cultivos Transitorios'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 13. USO DE PLAGUICIDAS EN CULTIVOS PERMANENTES, POR TIPO DE PLAGUICIDA Y SEGN GRADO DE TOXICIDAD DEL PLAGUICIDA.

* NOTA: Segn recomendaciones de la Direccin de Muestreo, se pueden expander los datos de plaguicidas usando el factor de expansin de la base
* de Ganado. Por tanto, se va a proyectar la base de Ganado Porcino sobre la base de Ambientales, de modo que el factor antes mencionado se inserte
* en la base de Ambientales.

*** ABRIR BASE DE CULTIVOS PERMANENTES ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

DATASET NAME permanentes.
SORT CASES BY cp_prov cp_cant cp_parr cp_estr cp_segm cp_ncues.

STRING identif (A17).
COMPUTE identif = CONCAT(LTRIM(RTRIM(cp_prov)), LTRIM(RTRIM(cp_cant)), LTRIM(RTRIM(cp_parr)), LTRIM(RTRIM(cp_estr)),
LTRIM(RTRIM(cp_segm)), LTRIM(RTRIM(cp_ncues))).

SORT CASES BY identif.
COMPUTE id_unico = (LAG(identif) <> identif).
FREQUENCIES id_unico.

COMPUTE ORIGINAL_CP = 1. /* Variable til para saber si una variable importada provino de la base de cultivos permanentes.
EXECUTE.

*** ABRIR BASE DE GANADO PORCINO ***.
GET
  FILE='C:\ESPAC\MODULO AMBIENTAL 2017\gpnac2017.sav'.
DATASET NAME ganado WINDOW=FRONT.

SORT CASES BY ual_prov ual_cant ual_parr ual_estr ual_segm al_ncues.

STRING identif (A17).
COMPUTE identif = CONCAT(LTRIM(RTRIM(ual_prov)), LTRIM(RTRIM(ual_cant)), LTRIM(RTRIM(ual_parr)), LTRIM(RTRIM(ual_estr)),
LTRIM(RTRIM(ual_segm)), LTRIM(RTRIM(al_ncues))).

SORT CASES BY identif.
COMPUTE id_unico = (LAG(identif) <> identif).
FREQUENCIES id_unico.

COMPUTE fact_exp_fin2 = fact_exp_fin. /* Este es el factor de expansin de ganado, inexistente en la base de Ambientales,
/* ya que esta base no posee factores de expansin.
EXECUTE.

DATASET ACTIVATE permanentes.
MATCH FILES /FILE=*
  /FILE='ganado'
  /RENAME (al_ncues fact_exp fact_ponde fact_exp_fin fexp_final gp_aplico_vacuna gp_criollo 
    gp_deraza gp_destino_cabven gp_entidad_vacuno gp_factorlis gp_forma_repro gp_k904 gp_k905 gp_k907 
    gp_k910 gp_mestizo gp_observa gp_porc_desechos gp_porc_sobrealimentacion gp_sup_carto gp_superficie 
    gp_superficie_ha gp_tipo_crianza gp_tn gp_total_por_raza gp_trc gp_tro gp_trs gp_tznd id_unico 
    gp_k903 gp_k913 gp_k902 gp_k912 gp_k901 su_k202ha gp_k906 gp_k911 ual_cant ual_estr ual_parr 
    ual_prov ual_segm = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 
    d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43) 
  /BY identif
  /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 
    d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43.
EXECUTE.

DATASET ACTIVATE permanentes.
DATASET CLOSE ganado.

FILTER OFF.
USE ALL.
SELECT IF  (NOT(ORIGINAL_CP=0)).
EXECUTE.

* cp_color_her_pq: Variable que guarda los colores-cdigo de etiquetas de toxicidad en envases de herbicidas qumicos.
* cp_color_ins_pq: Variable que guarda los colores-cdigo de etiquetas de toxicidad en envases de insecticidas qumicos.
* cp_color_fun_pq: Variable que guarda los colores-cdigo de etiquetas de toxicidad en envases de fungicidas qumicos.
* cp_color_pq: Variable que guarda los colores-cdigo de etiquetas de toxicidad en envases de otros plaguicidas qumicos.

FREQUENCIES cp_color_her_pq cp_color_ins_pq cp_color_fun_pq cp_color_pq.

FILTER BY cultiv_perm.

WEIGHT BY fact_exp_fin2. /* Mostrar los resultados expandidos de plaguicidas con el factor de ganado.

***** TABLA 13. USO DE PLAGUICIDAS EN CULTIVOS PERMANENTES, POR TIPO DE PLAGUICIDA Y SEGN GRADO DE TOXICIDAD DEL PLAGUICIDA.

CTABLES
  /VLABELS VARIABLES=cp_color_her_pq cp_color_ins_pq cp_color_fun_pq cp_color_pq DISPLAY=LABEL
  /TABLE BY cp_color_her_pq [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1] + cp_color_ins_pq [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1]
  + cp_color_fun_pq [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1] + cp_color_pq [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=cp_color_her_pq [1,2,3,4,5] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=cp_color_ins_pq [1,2,3,4,5] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=cp_color_fun_pq [1,2,3,4,5] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=cp_color_pq [1,2,3,4,5] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
   /TITLES
    TITLE='CASOS DE PP QUE USAN PLAGUICIDAS QUMICOS, POR TIPO DE PLAGUICIDA Y SEGN GRADO DE TOXICIDAD DEL PLAGUICIDA'
    'Cultivos Permanentes'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

*** GUARDAR base de Cultivos Permanentes.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 14. USO DE PLAGUICIDAS EN CULTIVOS TRANSITORIOS, POR TIPO DE PLAGUICIDA Y SEGN GRADO DE TOXICIDAD DEL PLAGUICIDA.

*** ABRIR BASE DE CULTIVOS TRANSITORIOS ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

DATASET NAME transitorios.
SORT CASES BY ct_prov ct_cant ct_parr ct_estr ct_segm ct_ncues.

STRING identif (A17).
COMPUTE identif = CONCAT(LTRIM(RTRIM(ct_prov)), LTRIM(RTRIM(ct_cant)), LTRIM(RTRIM(ct_parr)), LTRIM(RTRIM(ct_estr)),
LTRIM(RTRIM(ct_segm)), LTRIM(RTRIM(ct_ncues))).

SORT CASES BY identif.
COMPUTE id_unico = (LAG(identif) <> identif).
FREQUENCIES id_unico.

COMPUTE ORIGINAL_CT = 1.
EXECUTE.

*** ABRIR BASE DE GANADO PORCINO ***.
GET
  FILE='C:\ESPAC\MODULO AMBIENTAL 2017\gpnac2017.sav'.
DATASET NAME ganado WINDOW=FRONT.

SORT CASES BY ual_prov ual_cant ual_parr ual_estr ual_segm al_ncues.

STRING identif (A17).
COMPUTE identif = CONCAT(LTRIM(RTRIM(ual_prov)), LTRIM(RTRIM(ual_cant)), LTRIM(RTRIM(ual_parr)), LTRIM(RTRIM(ual_estr)),
LTRIM(RTRIM(ual_segm)), LTRIM(RTRIM(al_ncues))).

SORT CASES BY identif.
COMPUTE id_unico = (LAG(identif) <> identif).
FREQUENCIES id_unico.

COMPUTE fact_exp_fin2 = fact_exp_fin.
EXECUTE.

DATASET ACTIVATE transitorios.
MATCH FILES /FILE=*
  /FILE='ganado'
  /RENAME (al_ncues fact_exp fact_ponde fact_exp_fin fexp_final gp_aplico_vacuna gp_criollo 
    gp_deraza gp_destino_cabven gp_entidad_vacuno gp_factorlis gp_forma_repro gp_k904 gp_k905 gp_k907 
    gp_k910 gp_mestizo gp_observa gp_porc_desechos gp_porc_sobrealimentacion gp_sup_carto gp_superficie 
    gp_superficie_ha gp_tipo_crianza gp_tn gp_total_por_raza gp_trc gp_tro gp_trs gp_tznd id_unico 
    gp_k903 gp_k913 gp_k902 gp_k912 gp_k901 su_k202ha gp_k906 gp_k911 ual_cant ual_estr ual_parr 
    ual_prov ual_segm = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 
    d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43) 
  /BY identif
  /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 
    d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43.
EXECUTE.

DATASET ACTIVATE transitorios.
DATASET CLOSE ganado.

FILTER OFF.
USE ALL.
SELECT IF  (NOT(ORIGINAL_CT=0)).
EXECUTE.

* ct_color_her_pq: Variable que guarda los colores-cdigo de etiquetas de toxicidad en envases de herbicidas qumicos.
* ct_color_ins_pq: Variable que guarda los colores-cdigo de etiquetas de toxicidad en envases de insecticidas qumicos.
* ct_color_fun_pq: Variable que guarda los colores-cdigo de etiquetas de toxicidad en envases de fungicidas qumicos.
* ct_color_pq: Variable que guarda los colores-cdigo de etiquetas de toxicidad en envases de otros plaguicidas qumicos.

FREQUENCIES ct_color_her_pq ct_color_ins_pq ct_color_fun_pq ct_color_pq.

FILTER BY cultiv_tran.

WEIGHT BY fact_exp_fin2.

***** TABLA 14. USO DE PLAGUICIDAS EN CULTIVOS TRANSITORIOS, POR TIPO DE PLAGUICIDA Y SEGN GRADO DE TOXICIDAD DEL PLAGUICIDA.

CTABLES
  /VLABELS VARIABLES=ct_color_her_pq ct_color_ins_pq ct_color_fun_pq ct_color_pq DISPLAY=LABEL
  /TABLE BY ct_color_her_pq [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1] + ct_color_ins_pq [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1]
  + ct_color_fun_pq [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1] + ct_color_pq [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=ct_color_her_pq [1,2,3,4,5] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=ct_color_ins_pq [1,2,3,4,5] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=ct_color_fun_pq [1,2,3,4,5] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=ct_color_pq [1,2,3,4,5] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
   /TITLES
    TITLE='CASOS DE PP QUE USAN PLAGUICIDAS QUMICOS, POR TIPO DE PLAGUICIDA Y SEGN COLOR DE ETIQUETA DEL ENVASE'
    'Cultivos Transitorios'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

*** GUARDAR base de Cultivos Transitorios.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* SECCIN II. EXTENSIN AGRARIA.
* ABRIR BASE DEL MDULO AMBIENTAL (ambnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

SORT CASES BY identif (A).
COMPUTE ORIGINAL_AMB = 1. /* Variable til para saber si una variable importada tena casos de PP asociados en la base de ambientales. Marca los
/* registros originales de la base de ambientales.
EXECUTE.

DATASET NAME ambientales.

***** TABLA 15. PRODUCTORES AGROPECUARIOS POR TIPO DE FINANCIAMIENTO PRIMARIO RECIBIDO PARA SUS ACTIVIDADES PRODUCTIVAS.

CTABLES
  /VLABELS VARIABLES=ea_tipofinan_a1 DISPLAY=LABEL
  /TABLE ea_tipofinan_a1 [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=ea_tipofinan_a1 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS POR TIPO DE FINANCIAMIENTO PRIMARIO RECIBIDO PARA SUS ACTIVIDADES PRODUCTIVAS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.


***** TABLA 16. PRODUCTORES AGROPECUARIOS POR TIPO DE FINANCIAMIENTO SECUNDARIO RECIBIDO PARA SUS ACTIVIDADES PRODUCTIVAS.

VALUE LABELS ea_tipofinan_a2 0'Sin financiamiento secundario'
1'Propio'
2'Banca privada'
3'Cooperativas y Cajas de ahorro'
4'Banca pblica'
5'Prestamista informal'
6'Fundaciones u ONG'.

CTABLES
  /VLABELS VARIABLES=ea_tipofinan_a2 DISPLAY=LABEL
  /TABLE ea_tipofinan_a2 [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=ea_tipofinan_a2 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS POR TIPO DE FINANCIAMIENTO SECUNDARIO RECIBIDO PARA SUS ACTIVIDADES PRODUCTIVAS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.


***** TABLA 17. PRODUCTORES AGROPECUARIOS QUE HAN RECIBIDO CAPACITACIN PARA SUS ACTIVIDADES PRODUCTIVAS.

CTABLES
  /VLABELS VARIABLES=ea_recibiocapa DISPLAY=LABEL
  /TABLE ea_recibiocapa [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=ea_recibiocapa ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE HAN RECIBIDO CAPACITACIN PARA SUS ACTIVIDADES PRODUCTIVAS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.


***** TABLA 18. PRODUCTORES AGROPECUARIOS QUE HAN RECIBIDO ASISTENCIA TCNICA PARA SUS ACTIVIDADES PRODUCTIVAS.

CTABLES
  /VLABELS VARIABLES=ea_asistec DISPLAY=LABEL
  /TABLE ea_asistec [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=ea_asistec ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE HAN RECIBIDO ASISTENCIA TCNICA PARA SUS ACTIVIDADES PRODUCTIVAS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.


***** TABLA 19. PRODUCTORES AGROPECUARIOS QUE HAN COMPRADO GANADO VACUNO IMPORTADO POR EL ESTADO.

CTABLES
  /VLABELS VARIABLES=ea_compganado DISPLAY=LABEL
  /TABLE ea_compganado [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=ea_compganado ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE HAN COMPRADO GANADO VACUNO IMPORTADO POR EL ESTADO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.


***** TABLA 20. PRODUCTORES AGROPECUARIOS QUE PERTENECEN A ALGUNA ASOCIACIN, COOPERATIVA Y/O COMIT DE PRODUCTORES AGROPECUARIOS

CTABLES
  /VLABELS VARIABLES=ea_perteasoc DISPLAY=LABEL
  /TABLE ea_perteasoc [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=ea_perteasoc ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE PERTENECEN A ALGUNA ASOCIACIN, COOPERATIVA Y/O COMIT DE PRODUCTORES AGROPECUARIOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

*--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* SECCIN III. BUENAS PRCTICAS AGROPECUARIAS.
* ABRIR BASE DEL MDULO AMBIENTAL (ambnac2017.sav) ***.

DATASET NAME ambientales.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

SORT CASES BY identif (A).

* ABRIR BASE DEL CULTIVOS PERMANENTES (cpnac2017.sav) ***.

DATASET NAME permanentes.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

SORT CASES BY identif (A).

COMPUTE Plaga_CP = (MIN(cp_porg, cp_pqui) = 1). /* Terrenos de cultivos permanentes en donde se aplic plaguicidas orgnicos o qumicos.
COMPUTE Riego_CP = (cp_superf_regada_ha > 0). /* Terrenos de cultivos permanentes con cultivos activos.
EXECUTE.

* ABRIR BASE DEL CULTIVOS TRANSITORIOS (ctnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

DATASET NAME transitorios.

SORT CASES BY identif (A).

COMPUTE Plaga_CT = (MIN(ct_porg, ct_pqui) = 1). /* Terrenos de cultivos transitorios en donde se aplic plaguicidas orgnicos o qumicos.
COMPUTE Riego_CT = (ct_superf_regada_ha > 0). /* Terrenos de cultivos transitorios con cultivos activos.
EXECUTE.

* ABRIR BASE DEL FLORES PERMANENTES (fpnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

DATASET NAME flores_p.

SORT CASES BY ual_prov(A) ual_cant(A) ual_parr(A) ual_estr(A) ual_segm(A) al_ncues(A).

STRING identif (A17).
COMPUTE identif = CONCAT(LTRIM(RTRIM(ual_prov)), LTRIM(RTRIM(ual_cant)), LTRIM(RTRIM(ual_parr)), LTRIM(RTRIM(ual_estr)),
LTRIM(RTRIM(ual_segm)), LTRIM(RTRIM(al_ncues))).

SORT CASES BY identif.
COMPUTE id_unico = (LAG(identif) <> identif).
FREQUENCIES id_unico.

COMPUTE ORIGINAL_FP = 1. /* Marca los registros originales de la base de Flores Permanentes.
COMPUTE Plaga_FP = (MIN(fp_porg, fp_pqui) = 1). /* Terrenos de flores permanentes en donde se aplic plaguicidas orgnicos o qumicos.
COMPUTE Riego_FP = (fp_superf_regada_ha > 0). /* Terrenos de flores permanentes con cultivos activos.
EXECUTE.

* ABRIR BASE DEL FLORES TRANSITORIAS (ftnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

DATASET NAME flores_t.

SORT CASES BY ual_prov(A) ual_cant(A) ual_parr(A) ual_estr(A) ual_segm(A) al_ncues(A).

STRING identif (A17).
COMPUTE identif = CONCAT(LTRIM(RTRIM(ual_prov)), LTRIM(RTRIM(ual_cant)), LTRIM(RTRIM(ual_parr)), LTRIM(RTRIM(ual_estr)),
LTRIM(RTRIM(ual_segm)), LTRIM(RTRIM(al_ncues))).

SORT CASES BY identif.
COMPUTE id_unico = (LAG(identif) <> identif).
FREQUENCIES id_unico.

COMPUTE ORIGINAL_FT = 1. /* Marca los registros originales de la base de Flores Transitorias.
COMPUTE Plaga_FT = (MIN(ft_porg, ft_pqui) = 1). /* Terrenos de flores transitorias en donde se aplic plaguicidas orgnicos o qumicos.
COMPUTE Riego_FT = (ft_superf_regada_ha > 0). /* Terrenos de flores transitorias con cultivos activos.
EXECUTE.

* LLEVAR LAS VARIABLES ORIGINAL_CP, Plaga_CP y Riego_CP DE LA BASE DE CULTIVOS PERMANENTES A LA BASE DE AMBIENTALES.

DATASET ACTIVATE permanentes.
SORT CASES BY identif (A).

DATASET ACTIVATE ambientales.
SORT CASES BY identif (A).

DATASET ACTIVATE ambientales.
MATCH FILES /FILE=*
  /FILE='permanentes'
  /RENAME (cp_sufertilizantes cp_sufitosanitario cp_vcomn cp_k411h cp_afecta_prod cp_cant 
    cp_cant1_fo cp_cant2_fo cp_cant3_fo cp_cantidad_fq cp_cantidad_fun_pq cp_cantidad_her_pq 
    cp_cantidad_ins_pq cp_cantidad_nit_fq cp_cantidad_npk_fq cp_cantidad_po cp_cantidad_pot_fq 
    cp_cantidad_pq cp_clacul cp_color_fun_pq cp_color_her_pq cp_color_ins_pq cp_color_pq 
    cp_control_maleza cp_distancia_1 cp_distancia_2 cp_edad cp_estr cp_fconvf cp_fconvs cp_forg cp_fqui 
    cp_k404 cp_k405 cp_k406 cp_k408 cp_k408r cp_k409 cp_k410 cp_k411 cp_k412 cp_k412r cp_k413 cp_k414 
    cp_k415 cp_k416 cp_k417 cp_k418 cp_k420 cp_k422 cp_k423 cp_k424 cp_k426 cp_nclavr cp_ncues 
    cp_nuevaclavecult cp_nuevacondicion cp_numl cp_numt cp_observa cp_parr cp_poda cp_polinizacion 
    cp_porc_aspe cp_porc_gote cp_porc_micr cp_porc_nebu cp_porc_otro cp_porc_surc cp_porg cp_pqui 
    cp_prot_fruto cp_prov cp_rdpr1 cp_rdpr2 cp_rdpr3 cp_rdpr4 cp_rdpr5 cp_rdpr6 cp_riego cp_segm 
    cp_sup_carto cp_superdida cp_superf_regada cp_superf_regada_ha cp_tn cp_trc cp_tro cp_trs cp_tznd 
    cp_umed1_fo cp_umed2_fo cp_umed3_fo cp_umed_fq cp_umed_fun_pq cp_umed_her_pq cp_umed_ins_pq 
    cp_umed_nit_fq cp_umed_npk_fq cp_umed_po cp_umed_pot_fq cp_umed_pq cp_vent edad2 edad3 cp_k410h 
    cp_enfermedades fac_pon fact_exp_fin fexp_final cp_helada cp_vhibrinterna cp_vhibrinacio id_unico 
    cp_inundacion cp_vmejorada edad1 cp_otra cp_plagas cp_k409h cp_prod cp_sriego cp_sequia superdida 
    ventas = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 
    d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 
    d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 
    d75 d76 d77 d78 d79 d80 d81 d82 d83 d84 d85 d86 d87 d88 d89 d90 d91 d92 d93 d94 d95 d96 d97 d98 d99 
    d100 d101 d102 d103 d104 d105 d106 d107 d108 d109 d110 d111 d112 d113 d114 d115 d116 d117 d118 d119 
    d120 d121 d122 d123 d124) 
  /BY identif
  /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 
    d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 
    d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 
    d75 d76 d77 d78 d79 d80 d81 d82 d83 d84 d85 d86 d87 d88 d89 d90 d91 d92 d93 d94 d95 d96 d97 d98 d99 
    d100 d101 d102 d103 d104 d105 d106 d107 d108 d109 d110 d111 d112 d113 d114 d115 d116 d117 d118 d119 
    d120 d121 d122 d123 d124.
EXECUTE.

* LLEVAR LAS VARIABLES ORIGINAL_CT, Plaga_CT y Riego_CT DE LA BASE DE CULTIVOS TRANSITORIOS A LA BASE DE AMBIENTALES.

DATASET ACTIVATE transitorios.
SORT CASES BY identif (A).

DATASET ACTIVATE ambientales.
SORT CASES BY identif (A).

DATASET ACTIVATE ambientales.
MATCH FILES /FILE=*
  /FILE='transitorios'
  /RENAME (su_fertilizada su_plaguicidas ct_secertificada ct_secomun ct_k511h ct_afecta_prod 
    ct_aporque ct_cant ct_cant1_fo ct_cant2_fo ct_cant3_fo ct_cantidad_fq ct_cantidad_fun_pq 
    ct_cantidad_her_pq ct_cantidad_ins_pq ct_cantidad_nit_fq ct_cantidad_npk_fq ct_cantidad_po 
    ct_cantidad_pot_fq ct_cantidad_pq ct_clacul ct_codcultiv1_int ct_codcultiv2_int ct_color_fun_pq 
    ct_color_her_pq ct_color_ins_pq ct_color_pq ct_condcult_int ct_deshierbe ct_estr ct_fconf ct_fcons 
    ct_forg ct_fqui ct_k504 ct_k505 ct_k506 ct_k506r ct_k507 ct_k508 ct_k509 ct_k510 ct_k511 ct_k512 
    ct_k512r ct_k513 ct_k514 ct_k515 ct_k516 ct_k517 ct_k518 ct_k520 ct_k522 ct_k523 ct_k524 ct_k526 
    ct_messiem_int ct_nclavr ct_ncues ct_nuevaclavecult ct_nuevacondicion ct_numl ct_numt ct_observa 
    ct_parr ct_piensasem_int ct_porc_aspe ct_porc_gote ct_porc_micr ct_porc_nebu ct_porc_otro 
    ct_porc_surc ct_porg ct_pqui ct_prepara_suelo ct_prov ct_rdpr1 ct_rdpr2 ct_rdpr3 ct_rdpr4 ct_rdpr5 
    ct_rdpr6 ct_riego ct_rotacion ct_segm ct_sup_carto ct_superdida ct_superf_regada 
    ct_superf_regada_ha ct_supersem_int ct_supersemha_int ct_tn ct_trc ct_tro ct_trs ct_tutoreo ct_tznd 
    ct_umed1_fo ct_umed2_fo ct_umed3_fo ct_umed_fq ct_umed_fun_pq ct_umed_her_pq ct_umed_ins_pq 
    ct_umed_nit_fq ct_umed_npk_fq ct_umed_po ct_umed_pot_fq ct_umed_pq ct_vent ct_enfermedades fac_pon 
    fact_exp_fin fexp_final ct_helada ct_sehibrinter ct_sehibrinac id_unico ct_inundacion ct_semejorada 
    ct_otra ct_plagas ct_prod ct_sriego ct_k510h ct_sequia superdida Ventas = d0 d1 d2 d3 d4 d5 d6 d7 
    d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 
    d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53 d54 d55 d56 d57 
    d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 d75 d76 d77 d78 d79 d80 d81 d82 
    d83 d84 d85 d86 d87 d88 d89 d90 d91 d92 d93 d94 d95 d96 d97 d98 d99 d100 d101 d102 d103 d104 d105 
    d106 d107 d108 d109 d110 d111 d112 d113 d114 d115 d116 d117 d118 d119 d120 d121 d122 d123 d124 d125 
    d126 d127) 
  /BY identif
  /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 
    d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 
    d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 
    d75 d76 d77 d78 d79 d80 d81 d82 d83 d84 d85 d86 d87 d88 d89 d90 d91 d92 d93 d94 d95 d96 d97 d98 d99 
    d100 d101 d102 d103 d104 d105 d106 d107 d108 d109 d110 d111 d112 d113 d114 d115 d116 d117 d118 d119 
    d120 d121 d122 d123 d124 d125 d126 d127.
EXECUTE.

* LLEVAR LAS VARIABLES ORIGINAL_FP, Plaga_FP y Riego_FP DE LA BASE DE FLORES PERMANENTES A LA BASE DE AMBIENTALES.

DATASET ACTIVATE flores_p.
SORT CASES BY identif (A).

DATASET ACTIVATE ambientales.
SORT CASES BY identif (A).

DATASET ACTIVATE ambientales.
MATCH FILES /FILE=*
  /FILE='flores_p'
  /RENAME (al_ncues fp_Bonche fp_Bouquet fp_k707h fac_pon fact_exp_fin fexp_final fp_cant1_fo 
    fp_cant2_fo fp_cant3_fo fp_cantidad_fq fp_cantidad_fun_pq fp_cantidad_her_pq fp_cantidad_ins_pq 
    fp_cantidad_nit_fq fp_cantidad_npk_fq fp_cantidad_po fp_cantidad_pot_fq fp_cantidad_pq fp_clacu 
    fp_color_fun_pq fp_color_her_pq fp_color_ins_pq fp_color_pq fp_control_maleza fp_despunte 
    fp_ferti_pc fp_fitos_pc fp_forg fp_fqui fp_k704 fp_k705 fp_k706 fp_k707 fp_k708 fp_k710 fp_k711 
    fp_k712 fp_numl fp_numt fp_observa fp_poda fp_porc_aspe fp_porc_gote fp_porc_micr fp_porc_nebu 
    fp_porc_otro fp_porc_surc fp_porg fp_pqui fp_riego fp_riego_pc fp_sup_carto fp_superf_regada 
    fp_superf_regada_ha fp_tn fp_tutoreo fp_umed1_fo fp_umed2_fo fp_umed3_fo fp_umed_fq fp_umed_fun_pq 
    fp_umed_her_pq fp_umed_ins_pq fp_umed_nit_fq fp_umed_npk_fq fp_umed_pot_fq fp_umed_pq fp_umedida_po 
    fp_full_tabaco id_unico fp_k709 fp_k706h rc_clacul fp_tabaco ual_cant ual_estr ual_parr ual_prov 
    ual_segm = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 
    d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 
    d49 d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 
    d74 d75 d76 d77 d78 d79) 
  /BY identif
  /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 
    d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 
    d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 
    d75 d76 d77 d78 d79.
EXECUTE.

* LLEVAR LAS VARIABLES ORIGINAL_FT, Plaga_FT y Riego_FT DE LA BASE DE FLORES TRANSITORIAS A LA BASE DE AMBIENTALES.

DATASET ACTIVATE flores_t.
SORT CASES BY identif (A).

DATASET ACTIVATE ambientales.
SORT CASES BY identif (A).

DATASET ACTIVATE ambientales.
MATCH FILES /FILE=*
  /FILE='flores_t'
  /RENAME (al_ncues ft_bonche ft_bouquet ft_k721h fac_pon fact_exp_fin fexp_final ft_cant1_fo 
    ft_cant2_fo ft_cant3_fo ft_cantidad_fq ft_cantidad_fun_pq ft_cantidad_her_pq ft_cantidad_ins_pq 
    ft_cantidad_nit_fq ft_cantidad_npk_fq ft_cantidad_po ft_cantidad_pot_fq ft_cantidad_pq ft_clacu 
    ft_color_fun_pq ft_color_her_pq ft_color_ins_pq ft_color_pq ft_despunte ft_ferti_pc ft_fitos_pc 
    ft_forg ft_fqui ft_k716 ft_k717 ft_k718 ft_k719 ft_k720 ft_k721 ft_k722 ft_k724 ft_k725 ft_k726 
    ft_numl ft_numt ft_observa ft_poda ft_porc_aspe ft_porc_gote ft_porc_micr ft_porc_nebu ft_porc_otro 
    ft_porc_surc ft_porg ft_pqui ft_prepara_suelo ft_riego ft_riego_pc ft_sup_carto ft_superf_regada 
    ft_superf_regada_ha ft_tn ft_tutoreo ft_umed1_fo ft_umed2_fo ft_umed3_fo ft_umed_fq ft_umed_fun_pq 
    ft_umed_her_pq ft_umed_ins_pq ft_umed_nit_fq ft_umed_npk_fq ft_umed_po ft_umed_pot_fq ft_umed_pq 
    ft_full_tabaco id_unico ft_k723 ft_k720h rc_clacul ft_tabaco ual_cant ual_estr ual_parr ual_prov 
    ual_segm = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 
    d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 
    d49 d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 
    d74 d75 d76 d77 d78 d79 d80 d81) 
  /BY identif
  /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 
    d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 
    d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 
    d75 d76 d77 d78 d79 d80 d81.
EXECUTE.

DATASET ACTIVATE ambientales.
DATASET CLOSE permanentes.
DATASET CLOSE transitorios.
DATASET CLOSE flores_p.
DATASET CLOSE flores_t.

FILTER OFF.
USE ALL.
SELECT IF  (NOT(ORIGINAL_AMB=0)). /* Se seleccionan nicamente a los productores agropecuarios (PP) de la base original de ambientales.
EXECUTE.

SAVE OUTFILE='C:\ESPAC\ambnac2017.sav'
 /COMPRESSED.

COMPUTE PP_cultivaron = MAX(ORIGINAL_CP, ORIGINAL_CT, ORIGINAL_FP, ORIGINAL_FT). /* Filtro de las PP que cultivaron algn terreno de cualquier tipo de cultivo.
COMPUTE PP_plaguic = MAX(Plaga_CP, Plaga_CT, Plaga_FP, Plaga_FT). /* Filtro de las PP que aplicaron algun tipo de plaguicida.
COMPUTE PP_riego = MAX(Riego_CP, Riego_CT, Riego_FP, Riego_FT). /* Filtro de las PP que aplicaron algun tipo de riego.
FREQUENCIES PP_cultivaron PP_plaguic PP_riego.

COMPUTE SYS_Riego = (plag_sistema_riego > 0). /* Filtro para las PP que son beneficiarios de algn sistema de riego.
FREQUENCIES SYS_Riego.

COMPUTE PP_RR = (PP_riego & SYS_Riego).
FREQUENCIES PP_RR.

COMPUTE PP_R_ERR = (PP_riego = 0 | MISSING(PP_riego)) & (SYS_Riego = 1).
FREQUENCIES PP_R_ERR.

FILTER BY PP_Cultivaron.

***** TABLA 21. DISTRIBUCIN DE PERSONAS PRODUCTORAS POR TIEMPO DESDE EL LTIMO ANLISIS DE SUELO Y SEGN INTERPRETACIN Y APLICACIN DE LAS RECOMENDACIONES DEL ANLISIS.

CTABLES
  /VLABELS VARIABLES=plag_anasuelo DISPLAY=LABEL
  /TABLE plag_anasuelo [C][COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=plag_anasuelo [4, 1, 3, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PERSONAS PRODUCTORAS POR TIEMPO DESDE EL LTIMO ANLISIS DE SUELOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

CTABLES
  /VLABELS VARIABLES=plag_anasuelo pa_intasuelo DISPLAY=LABEL
  /TABLE plag_anasuelo [COUNT F40.0, ROWPCT.COUNT PCT40.1, COLPCT.COUNT PCT40.1] BY pa_intasuelo
  /CATEGORIES VARIABLES=plag_anasuelo pa_intasuelo ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES 
    POSITION=AFTER
  /TITLES
    TITLE='DISTRIBUCIN DE PERSONAS PRODUCTORAS POR TIEMPO DESDE EL LTIMO ANLISIS DE SUELO Y SEGN INTERPRETACIN Y APLICACIN ' +
              'DE LAS RECOMENDACIONES DEL ANLISIS.'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.


***** TABLA 22. DISTRIBUCIN DE PERSONAS PRODUCTORAS POR NIVEL DE INSTRUCCIN Y SEGN TIEMPO DESDE EL LTIMO ANLISIS DE SUELO.

* Recodificacin del nivel de instruccin de la Persona Productora (PP).
RECODE cg_k102 (ELSE = COPY) INTO nivel_inst.
FREQUENCIES nivel_inst.
RECODE nivel_inst (7,9 = 1) (1,5 = 2) (2,6 = 3) (3 = 4) (4 = 5) (ELSE = COPY).
VARIABLE LABELS nivel_inst "Nivel de instruccin de la PP (recodificado)".
VALUE LABELS nivel_inst 1'Ninguna'
2'Primaria / Educacin bsica'
3'Secundaria / Educacin Media'
4'Superior'
5'Posgrado'.

FREQUENCIES nivel_inst.

CTABLES
  /VLABELS VARIABLES=nivel_inst plag_anasuelo DISPLAY=LABEL
  /TABLE nivel_inst BY plag_anasuelo [COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=nivel_inst plag_anasuelo ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='DISTRIBUCIN DE PERSONAS PRODUCTORAS POR NIVEL DE INSTRUCCIN Y SEGN TIEMPO DESDE EL LTIMO' +
     'ANLISIS DE SUELO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.


***** TABLA 23. DISTRIBUCIN DE PERSONAS PRODUCTORAS POR TIEMPO DESDE EL LTIMO ANLISIS FOLIAR Y SEGN INTERPRETACIN Y APLICACIN DE LAS RECOMENDACIONES DEL ANLISIS.

CTABLES
  /VLABELS VARIABLES=pa_uanafoliar DISPLAY=LABEL
  /TABLE pa_uanafoliar [C][COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=pa_uanafoliar [4, 1, 3, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PERSONAS PRODUCTORAS POR TIEMPO DESDE EL LTIMO ANLISIS FOLIAR'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

CTABLES
  /VLABELS VARIABLES=pa_uanafoliar pa_intafoliar DISPLAY=LABEL
  /TABLE pa_uanafoliar [COUNT F40.0, ROWPCT.COUNT PCT40.1, COLPCT.COUNT PCT40.1] BY pa_intafoliar
  /CATEGORIES VARIABLES=pa_uanafoliar [4, 1, 3, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=pa_intafoliar [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='DISTRIBUCIN DE PERSONAS PRODUCTORAS POR TIEMPO DESDE EL LTIMO ANLISIS FOLIAR Y SEGN INTERPRETACIN Y APLICACIN ' +
              'DE LAS RECOMENDACIONES DEL ANLISIS.'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 24. DISTRIBUCIN DE PERSONAS PRODUCTORAS POR NIVEL DE INSTRUCCIN Y SEGN TIEMPO DESDE EL LTIMO ANLISIS FOLIAR.

CTABLES
  /VLABELS VARIABLES=nivel_inst pa_uanafoliar DISPLAY=LABEL
  /TABLE nivel_inst BY pa_uanafoliar [COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=nivel_inst pa_uanafoliar ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='DISTRIBUCIN DE PERSONAS PRODUCTORAS POR NIVEL DE INSTRUCCIN Y SEGN TIEMPO DESDE EL LTIMO ANLISIS FOLIAR'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 25. PERSONAS PRODUCTORAS QUE	APLICAN CONTROL DE PLAGAS, POR TIPO DE CONTROL DE PLAGAS.

CTABLES
  /VLABELS VARIABLES=pa_cfisico pa_cbiologi pa_cetolo pa_cotro DISPLAY=LABEL
  /TABLE BY pa_cfisico [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + pa_cbiologi [C][COUNT F40.0, 
    ROWPCT.COUNT PCT40.1] + pa_cetolo [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + pa_cotro [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=pa_cfisico pa_cbiologi pa_cetolo pa_cotro ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PERSONAS PRODUCTORAS QUE	APLICAN CONTROL DE PLAGAS, POR TIPO DE CONTROL DE PLAGAS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 26. PERSONAS PRODUCTORAS QUE UTILIZAN ELEMENTOS DE PROTECCIN AL APLICAR PLAGUICIDAS, POR TIPO DE ELEMENTO DE PROTECCIN.

FILTER BY PP_plaguic.

CTABLES
  /VLABELS VARIABLES=plag_utilguan plag_utilmasca plag_utilgafas plag_utilcamisas plag_utilbotas plag_utilvesti DISPLAY=LABEL
  /TABLE BY plag_utilguan [COUNT F40.0, ROWPCT.COUNT PCT40.1] + plag_utilmasca [COUNT F40.0, ROWPCT.COUNT PCT40.1]
    + plag_utilgafas [COUNT F40.0, ROWPCT.COUNT PCT40.1] + plag_utilcamisas [COUNT F40.0, ROWPCT.COUNT PCT40.1] + 
    plag_utilbotas [COUNT F40.0, ROWPCT.COUNT PCT40.1] + plag_utilvesti [COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=plag_utilguan plag_utilmasca plag_utilgafas plag_utilcamisas plag_utilbotas 
    plag_utilvesti [1, 2] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PERSONAS PRODUCTORAS QUE	UTILIZAN ELEMENTOS DE PROTECCIN AL APLICAR PLAGUICIDAS, POR TIPO DE ELEMENTO DE PROTECCIN'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 27. PERSONAS PRODUCTORAS QUE UTILIZAN FACILIDADES LOGSTICAS Y/O TECNOLGICAS, POR TIPO DE FACILIDAD.

FILTER OFF.
USE ALL.

CTABLES
  /VLABELS VARIABLES=pa_arealm pa_areempa pa_cfrio pa_cercaelect DISPLAY=LABEL
  /TABLE BY pa_arealm [COUNT F40.0, ROWPCT.COUNT PCT40.1] + pa_areempa [COUNT F40.0, ROWPCT.COUNT PCT40.1] + 
                    pa_cfrio [COUNT F40.0, ROWPCT.COUNT PCT40.1] + pa_cercaelect [COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=pa_arealm pa_areempa pa_cfrio pa_cercaelect ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PERSONAS PRODUCTORAS QUE	UTILIZAN FACILIDADES LOGSTICAS Y/O TECNOLGICAS, POR TIPO DE FACILIDAD'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 28. PERSONAS PRODUCTORAS QUE REALIZAN ACTIVIDADES DE POST COSECHA, POR TIPO DE ACTIVIDAD.

CTABLES
  /VLABELS VARIABLES=pa_pcselec pa_pclavado pa_pcempaque DISPLAY=LABEL
  /TABLE BY pa_pcselec [COUNT F40.0, ROWPCT.COUNT PCT40.1] + pa_pclavado [COUNT F40.0, ROWPCT.COUNT PCT40.1] + 
                    pa_pcempaque [COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=pa_pcselec pa_pclavado pa_pcempaque ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PERSONAS PRODUCTORAS QUE	REALIZAN ACTIVIDADES DE POST COSECHA, POR TIPO DE ACTIVIDAD'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 29. PRODUCTORES AGROPECUARIOS QUE TIENEN CONOCIMIENTOS SOBRE INOCUIDAD DE ALIMENTOS.

CTABLES
  /VLABELS VARIABLES=pa_inocuidad DISPLAY=LABEL
  /TABLE pa_inocuidad [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=pa_inocuidad ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE TIENEN CONOCIMIENTOS SOBRE INOCUIDAD DE ALIMENTOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* SECCIN IV. EQUIPAMIENTO.
* ABRIR BASE DEL MDULO AMBIENTAL (ambnac2017.sav) ***.

DATASET NAME ambientales.

COMPUTE No_12_1 = (SUM.1(eq_earado, eq_erastra, eq_erozadora, eq_efangueo, eq_esurcadora, eq_eyunta, eq_etractor, eq_emotocultor) = 16). /* PA que responden NO
/* en todas las variables de tipo SI/NO de la etapa 12.1.
COMPUTE No_12_2 = (SUM.1(eq_semman, eq_semmec, eq_splanman, eq_splanmec) = 8).  /* PA que responden NO en todas las variables de tipo SI/NO de la etapa 12.2.
COMPUTE No_12_3 = (SUM.1(eq_eboleadora, eq_ecultivador, eq_eaguilon, eq_ebestaciona, eq_ebmotor, eq_ebmanual) = 12). /* PA que responden NO en todas las variables de
/* tipo SI/NO de la etapa 12.3.
COMPUTE No_12_4 = (SUM.1(eq_etricombi, eq_etrilladora, eq_ecosgranfin, eq_ecosgrangru, eq_ecosotras) = 10). /* PA que responden NO en todas las variables de tipo SI/NO
/*  de la etapa 12.4.
COMPUTE No_12 = (No_12_1 = 1) & (No_12_2 = 1) & (No_12_3 = 1) & (No_12_4 = 1). /* PA que responden NO en todas las variables de tipo SI/NO de la
/*  Seccin III. EQUIPAMIENTO.
COMPUTE No_12 = 1 - No_12.
VARIABLE LABELS No_12 "Productores Agropecuarios que utilizan mquinas para desarrollar sus actividades productivas".
VALUE LABELS No_12 0'No utilizan mquinas' 1'S utilizan mquinas'.
FREQUENCIES No_12.


***** TABLA 30. PRODUCTORES AGROPECUARIOS QUE UTILIZARON MQUINAS PARA DESARROLLAR SUS ACTIVIDADES PRODUCTIVAS.

FILTER BY ORIGINAL_CT. /* Filtra a todos los Productores Agropecuarios con cultivos transitorios.

CTABLES
  /VLABELS VARIABLES=No_12 DISPLAY=LABEL
  /TABLE BY No_12 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=No_12 [1, 0, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS CON CULTIVOS TRANSITORIOS QUE UTILIZARON MQUINAS PARA DESARROLLAR SUS ACTIVIDADES PRODUCTIVAS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

FILTER OFF.
USE ALL.

COMPUTE FILTRO_SECC_III = (ORIGINAL_CT & No_12). /* Filtra a todos los Productores Agropecuarios con cultivos transitorios y que usan mquinas para sus actividades.
FREQUENCIES FILTRO_SECC_III.


* TABLA 31. PRODUCTORES AGROPECUARIOS QUE UTILIZARON EQUIPO PARA PREPARAR EL TERRENO DE CULTIVO, POR TIPO DE EQUIPO USADO
* Y SEGN PROPIEDAD DEL EQUIPO.

FILTER BY FILTRO_SECC_III.

* FILA #1 de la Tabla: 1. Yunta.

***** TABLA 31. FILA 1, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON YUNTA.

CTABLES
  /VLABELS VARIABLES=eq_eyunta DISPLAY=LABEL
  /TABLE BY eq_eyunta [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_eyunta [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE PREPARARON EL TERRENO DE CULTIVO USANDO YUNTA'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 31. FILA 1. PARTE B. PRODUCTORES AGROPECUARIOS QUE UTILIZARON YUNTA, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_eyunta eq_teyunta DISPLAY=LABEL
  /TABLE eq_eyunta [C] BY eq_teyunta [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_eyunta [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_teyunta ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE PREPARARON EL TERRENO DE CULTIVO USANDO YUNTA, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #2 de la tabla: 2. Tractor.

***** TABLA 31. FILA 2, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON TRACTOR.

CTABLES
  /VLABELS VARIABLES=eq_etractor DISPLAY=LABEL
  /TABLE BY eq_etractor [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_etractor [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE PREPARARON EL TERRENO DE CULTIVO USANDO TRACTOR'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 31. FILA 2. PARTE B. PRODUCTORES AGROPECUARIOS QUE UTILIZARON TRACTOR, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_etractor eq_tetractor DISPLAY=LABEL
  /TABLE eq_etractor [C] BY eq_tetractor [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_etractor [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_tetractor ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE PREPARARON EL TERRENO DE CULTIVO USANDO TRACTOR, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #3 de la tabla: 3. Motocultor.

***** TABLA 31. FILA 3, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON MOTOCULTOR.

CTABLES
  /VLABELS VARIABLES=eq_emotocultor DISPLAY=LABEL
  /TABLE BY eq_emotocultor [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_emotocultor [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE PREPARARON EL TERRENO DE CULTIVO USANDO MOTOCULTOR'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

***** TABLA 31. FILA 3. PARTE B. PRODUCTORES AGROPECUARIOS QUE UTILIZARON MOTOCULTOR, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_emotocultor eq_temotocultor DISPLAY=LABEL
  /TABLE eq_emotocultor [C] BY eq_temotocultor [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_emotocultor [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_temotocultor ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE PREPARARON EL TERRENO DE CULTIVO USANDO MOTOCULTOR, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

* FILA #4 de la tabla: 4. Ninguno.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

* VARIABLE QUE CONTABILIZA A LOS PP QUE NO USAN MECANIZACION PARA PREPARACION DE SUELO.

COMPUTE Ninguno_12_1 = (SUM.1(eq_eyunta, eq_etractor, eq_emotocultor) = 6).
VALUE LABELS Ninguno_12_1 0'No' 1'S'.

FILTER BY FILTRO_SECC_III.

***** TABLA 31. FILA 4. PRODUCTORES AGROPECUARIOS QUE NO UTILIZARON NINGN EQUIPO PARA PREPARAR EL SUELO.

CTABLES
  /VLABELS VARIABLES=Ninguno_12_1 DISPLAY=LABEL
  /TABLE BY Ninguno_12_1 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=Ninguno_12_1 [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE NO UTILIZARON NINGN EQUIPO PARA PREPARAR EL SUELO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* TABLA 32. PRODUCTORES AGROPECUARIOS QUE UTILIZARON EQUIPO PARA SEMBRAR EL TERRENO DE CULTIVO, POR TIPO DE EQUIPO USADO
* Y SEGN PROPIEDAD DEL EQUIPO.

FILTER BY FILTRO_SECC_III.

* FILA #1 de la Tabla: 1. Sembradora manual.

***** TABLA 32. FILA 1, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON SEMBRADORA MANUAL.

CTABLES
  /VLABELS VARIABLES=eq_semman DISPLAY=LABEL
  /TABLE BY eq_semman [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_semman [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE SEMBRARON EL TERRENO DE CULTIVO USANDO SEMBRADORA MANUAL'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 32. FILA 1, PARTE B. PRODUCTORES AGROPECUARIOS QUE UTILIZARON SEMBRADORA MANUAL, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_semman eq_tsemman DISPLAY=LABEL
  /TABLE eq_semman [C] BY eq_tsemman [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_semman [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_tsemman ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE SEMBRARON EL TERRENO DE CULTIVO USANDO SEMBRADORA MANUAL, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #2 de la tabla: 2. Sembradora mecnica.

***** TABLA 32. FILA 2, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON SEMBRADORA MECNICA.

CTABLES
  /VLABELS VARIABLES=eq_semmec DISPLAY=LABEL
  /TABLE BY eq_semmec [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_semmec [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE SEMBRARON EL TERRENO DE CULTIVO USANDO SEMBRADORA MECNICA'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

***** TABLA 32. FILA 2, PARTE B. PRODUCTORES AGROPECUARIOS QUE UTILIZARON SEMBRADORA MECNICA, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_semmec eq_tsemmec DISPLAY=LABEL
  /TABLE eq_semmec [C] BY eq_tsemmec [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_semmec [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_tsemmec ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE SEMBRARON EL TERRENO DE CULTIVO USANDO SEMBRADORA MECNICA, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #3 de la tabla: 3. Transplantadora manual.

***** TABLA 32. FILA 3, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON TRANSPLANTADORA MANUAL.

CTABLES
  /VLABELS VARIABLES=eq_splanman DISPLAY=LABEL
  /TABLE BY eq_splanman [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_splanman [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE SEMBRARON EL TERRENO DE CULTIVO USANDO TRANSPLANTADORA MANUAL'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

***** TABLA 32. FILA 3, PARTE B. PRODUCTORES AGROPECUARIOS QUE UTILIZARON TRANSPLANTADORA MANUAL, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_splanman eq_tsplanman DISPLAY=LABEL
  /TABLE eq_splanman [C] BY eq_tsplanman [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_splanman [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_tsplanman ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE SEMBRARON EL TERRENO DE CULTIVO USANDO TRANSPLANTADORA MANUAL, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #4 de la tabla: 4. Transplantadora mecnica.

***** TABLA 32. FILA 4, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON TRANSPLANTADORA MECNICA.

CTABLES
  /VLABELS VARIABLES=eq_splanmec DISPLAY=LABEL
  /TABLE BY eq_splanmec [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_splanmec [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE SEMBRARON EL TERRENO DE CULTIVO USANDO TRANSPLANTADORA MECNICA'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 32. FILA 4, PARTE B. PRODUCTORES AGROPECUARIOS QUE UTILIZARON TRANSPLANTADORA MECNICA, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_splanmec eq_tsplanmec DISPLAY=LABEL
  /TABLE eq_splanmec [C] BY eq_tsplanmec [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_splanmec [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_tsplanmec ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE SEMBRARON EL TERRENO DE CULTIVO USANDO TRANSPLANTADORA MECNICA, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #5 de la tabla: 4. Ninguno.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

* VARIABLE QUE CONTABILIZA A LOS PP QUE NO USAN MECANIZACION PARA SIEMBRA.

COMPUTE Ninguno_12_2 = (SUM.1(eq_semman, eq_semmec, eq_splanman, eq_splanmec) = 8).
VALUE LABELS Ninguno_12_2 0'No' 1'S'.

FILTER BY FILTRO_SECC_III.

***** TABLA 32. FILA 5, PARTE A. PRODUCTORES AGROPECUARIOS QUE NO UTILIZARON NINGN EQUIPO PARA SEMBRAR EL TERRENO.

CTABLES
  /VLABELS VARIABLES=Ninguno_12_2 DISPLAY=LABEL
  /TABLE BY Ninguno_12_2 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=Ninguno_12_2 [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE NO UTILIZARON NINGN EQUIPO PARA SEMBRAR EL TERRENO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* TABLA 33. PRODUCTORES AGROPECUARIOS QUE UTILIZARON EQUIPO PARA DESARROLLO DE SUS CULTIVOS, POR TIPO DE EQUIPO USADO
* Y SEGN PROPIEDAD DEL EQUIPO.

FILTER BY FILTRO_SECC_III.

* FILA #1 de la tabla: 1. Boleadora.

***** TABLA 33. FILA 1, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON BOLEADORA PARA DESARROLLO DE SUS CULTIVOS.

CTABLES
  /VLABELS VARIABLES=eq_eboleadora DISPLAY=LABEL
  /TABLE BY eq_eboleadora [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_eboleadora [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON BOLEADORA PARA DESARROLLO DE SUS CULTIVOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 33. FILA 1, PARTE B. PRODUCTORES AGROPECUARIOS QUE UTILIZARON BOLEADORA PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_eboleadora eq_teboleadora DISPLAY=LABEL
  /TABLE eq_eboleadora [C] BY eq_teboleadora [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_eboleadora [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_teboleadora ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON BOLEADORA PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #2 de la tabla: 2. Cultivador-Abonadora.

***** TABLA 33. FILA 2, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON CULTIVADOR-ABONADORA PARA DESARROLLO DE SUS CULTIVOS.

CTABLES
  /VLABELS VARIABLES=eq_ecultivador DISPLAY=LABEL
  /TABLE BY eq_ecultivador [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_ecultivador [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON CULTIVADOR-ABONADORA PARA DESARROLLO DE SUS CULTIVOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 33. FILA 2, PARTE B. PRODUCTORES AGROPECUARIOS QUE UTILIZARON CULTIVADOR-ABONADORA PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_ecultivador eq_tecultivador DISPLAY=LABEL
  /TABLE eq_ecultivador [C] BY eq_tecultivador [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_ecultivador [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_tecultivador ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON CULTIVADOR-ABONADORA PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #3 de la tabla: 3. Aguiln.

***** TABLA 33. FILA 3, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON AGUILN PARA DESARROLLO DE SUS CULTIVOS.

CTABLES
  /VLABELS VARIABLES=eq_eaguilon DISPLAY=LABEL
  /TABLE BY eq_eaguilon [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_eaguilon [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON AGUILN PARA DESARROLLO DE SUS CULTIVOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 33. FILA 3, PARTE B. PRODUCTORES AGROPECUARIOS QUE UTILIZARON AGUILN PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_eaguilon eq_teaguilon DISPLAY=LABEL
  /TABLE eq_eaguilon [C] BY eq_teaguilon [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_eaguilon [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_teaguilon ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON AGUILN PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #4 de la tabla: 4. Bomba estacionaria.

***** TABLA 33. FILA 4, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON BOMBA ESTACIONARIA PARA DESARROLLO DE SUS CULTIVOS.

CTABLES
  /VLABELS VARIABLES=eq_ebestaciona DISPLAY=LABEL
  /TABLE BY eq_ebestaciona [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_ebestaciona [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON BOMBA ESTACIONARIA PARA DESARROLLO DE SUS CULTIVOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 33. FILA 4, PARTE B. PRODUCTORES AGROPECUARIOS QUE UTILIZARON BOMBA ESTACIONARIA PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_ebestaciona eq_tebestaciona DISPLAY=LABEL
  /TABLE eq_ebestaciona [C] BY eq_tebestaciona [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_ebestaciona [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_tebestaciona ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON BOMBA ESTACIONARIA PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #5 de la tabla: 5. Bomba de motor.

***** TABLA 33. FILA 5, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON BOMBA DE MOTOR PARA DESARROLLO DE SUS CULTIVOS.

CTABLES
  /VLABELS VARIABLES=eq_ebmotor DISPLAY=LABEL
  /TABLE BY eq_ebmotor [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_ebmotor [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON BOMBA DE MOTOR PARA DESARROLLO DE SUS CULTIVOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 33. FILA 5, PARTE B. PRODUCTORES AGROPECUARIOS QUE UTILIZARON BOMBA DE MOTOR PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_ebmotor eq_tebmotor DISPLAY=LABEL
  /TABLE eq_ebmotor [C] BY eq_tebmotor [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_ebmotor [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_tebmotor ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON BOMBA DE MOTOR PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #6 de la tabla: 6. Bomba manual.

***** TABLA 33. FILA 6, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON BOMBA MANUAL PARA DESARROLLO DE SUS CULTIVOS.

CTABLES
  /VLABELS VARIABLES=eq_ebmanual DISPLAY=LABEL
  /TABLE BY eq_ebmanual [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_ebmanual [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON BOMBA MANUAL PARA DESARROLLO DE SUS CULTIVOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 33. FILA 6, PARTE B. PRODUCTORES AGROPECUARIOS QUE UTILIZARON BOMBA MANUAL PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_ebmanual eq_tebmanual DISPLAY=LABEL
  /TABLE eq_ebmanual [C] BY eq_tebmanual [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_ebmanual [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_tebmanual ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON BOMBA MANUAL PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #7 de la tabla: 7. Ninguno.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

* VARIABLE QUE CONTABILIZA A LOS PP QUE NO USAN MECANIZACION PARA DESARROLLO DEL CULTIVO.

COMPUTE Ninguno_12_3 = (SUM.1(eq_eboleadora, eq_ecultivador, eq_eaguilon, eq_ebestaciona, eq_ebmotor, eq_ebmanual) = 12).
VALUE LABELS Ninguno_12_3 0'No' 1'S'.

FILTER BY FILTRO_SECC_III.

***** TABLA 33. FILA 7, PARTE A. PRODUCTORES AGROPECUARIOS QUE NO UTILIZARON NINGN EQUIPO PARA DESARROLLO DEL CULTIVO.

CTABLES
  /VLABELS VARIABLES=Ninguno_12_3 DISPLAY=LABEL
  /TABLE BY Ninguno_12_3 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=Ninguno_12_3 [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE NO UTILIZARON NINGN EQUIPO PARA DESARROLLO DEL CULTIVO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* TABLA 34. PRODUCTORES AGROPECUARIOS QUE UTILIZARON EQUIPO PARA COSECHAR SUS CULTIVOS, POR TIPO DE EQUIPO USADO
* Y SEGN PROPIEDAD DEL EQUIPO.

FILTER BY FILTRO_SECC_III.

* FILA #1 de la tabla: 1. Trilladora combinada.

***** TABLA 34. FILA 1, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON TRILLADORA COMBINADA PARA DESARROLLO DE SUS CULTIVOS.

CTABLES
  /VLABELS VARIABLES=eq_etricombi DISPLAY=LABEL
  /TABLE BY eq_etricombi [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_etricombi [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON TRILLADORA COMBINADA PARA COSECHAR SUS CULTIVOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

***** TABLA 34. FILA 1, PARTE B. PRODUCTORES AGROPECUARIOS QUE UTILIZARON TRILLADORA COMBINADA PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_etricombi eq_tetricombi DISPLAY=LABEL
  /TABLE eq_etricombi [C] BY eq_tetricombi [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_etricombi [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_tetricombi ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON TRILLADORA COMBINADA PARA COSECHAR SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #2 de la tabla: 2. Trilladora.

***** TABLA 34. FILA 2, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON TRILLADORA PARA DESARROLLO DE SUS CULTIVOS.

CTABLES
  /VLABELS VARIABLES=eq_etrilladora DISPLAY=LABEL
  /TABLE BY eq_etrilladora [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_etrilladora [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON TRILLADORA PARA COSECHAR SUS CULTIVOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

***** TABLA 34. FILA 2, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON TRILLADORA PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_etrilladora eq_tetrilladora DISPLAY=LABEL
  /TABLE eq_etrilladora [C] BY eq_tetrilladora [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_etrilladora [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_tetrilladora ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON TRILLADORA PARA COSECHAR SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #3 de la tabla: 3. Cosechadora de granos finos.

***** TABLA 34. FILA 3, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON COSECHADORA DE GRANOS FINOS PARA DESARROLLO DE SUS CULTIVOS.

CTABLES
  /VLABELS VARIABLES=eq_ecosgranfin DISPLAY=LABEL
  /TABLE BY eq_ecosgranfin [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_ecosgranfin [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON COSECHADORA DE GRANOS FINOS PARA COSECHAR SUS CULTIVOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

***** TABLA 34. FILA 3, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON COSECHADORA DE GRANOS FINOS PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_ecosgranfin eq_tecosgranfin DISPLAY=LABEL
  /TABLE eq_ecosgranfin [C] BY eq_tecosgranfin [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_ecosgranfin [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_tecosgranfin ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON COSECHADORA DE GRANOS FINOS PARA COSECHAR SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #4 de la tabla: 4. Cosechadora de granos gruesos.

***** TABLA 34. FILA 4, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON COSECHADORA DE GRANOS GRUESOS PARA DESARROLLO DE SUS CULTIVOS.

CTABLES
  /VLABELS VARIABLES=eq_ecosgrangru DISPLAY=LABEL
  /TABLE BY eq_ecosgrangru [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_ecosgrangru [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON COSECHADORA DE GRANOS GRUESOS PARA COSECHAR SUS CULTIVOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 34. FILA 4, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON COSECHADORA DE GRANOS GRUESOS PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_ecosgrangru eq_tecosgrangru DISPLAY=LABEL
  /TABLE eq_ecosgrangru [C] BY eq_tecosgrangru [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_ecosgrangru [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_tecosgrangru ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON COSECHADORA DE GRANOS GRUESOS PARA COSECHAR SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #5 de la tabla: 5. Otras cosechadoras.

***** TABLA 34. FILA 5, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON OTRAS COSECHADORAS PARA DESARROLLO DE SUS CULTIVOS.

CTABLES
  /VLABELS VARIABLES=eq_ecosotras DISPLAY=LABEL
  /TABLE BY eq_ecosotras [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_ecosotras [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON OTRAS COSECHADORAS PARA COSECHAR SUS CULTIVOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 34. FILA 5, PARTE A. PRODUCTORES AGROPECUARIOS QUE UTILIZARON OTRAS COSECHADORAS PARA DESARROLLO DE SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO.

CTABLES
  /VLABELS VARIABLES=eq_ecosotras eq_tecosotras DISPLAY=LABEL
  /TABLE eq_ecosotras [C] BY eq_tecosotras [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=eq_ecosotras [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=eq_tecosotras ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE UTILIZARON OTRAS COSECHADORAS PARA COSECHAR SUS CULTIVOS, SEGN PROPIEDAD DEL EQUIPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* FILA #6 de la tabla: 6. Ninguno.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

* VARIABLE QUE CONTABILIZA A LOS PP QUE NO USAN MECANIZACION PARA COSECHA DEL CULTIVO.

COMPUTE Ninguno_12_4 =  (SUM.1(eq_etricombi, eq_etrilladora, eq_ecosgranfin, eq_ecosgrangru, eq_ecosotras) = 10).
VALUE LABELS Ninguno_12_3 0'No' 1'S'.

FILTER BY FILTRO_SECC_III.

***** TABLA 34. FILA 6, PARTE A. PRODUCTORES AGROPECUARIOS QUE NO UTILIZARON NINGN EQUIPO PARA COSECHAR SUS CULTIVOS.

CTABLES
  /VLABELS VARIABLES=Ninguno_12_3 DISPLAY=LABEL
  /TABLE BY Ninguno_12_3 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=Ninguno_12_3 [1, 2, OTHERNM] EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PRODUCTORES AGROPECUARIOS QUE NO UTILIZARON NINGN EQUIPO PARA DESARROLLO DEL CULTIVO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* SECCIN V. AGUA.

* TABLA 35. SUPERFICIE AGROPECUARIA BAJO RIEGO, SEGN TIPO DE CULTIVO

* TABLA 35.1 PARA CULTIVOS PERMANENTES NICAMENTE.
*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac2017.sav) ***.

WEIGHT OFF.
FILTER OFF.
USE ALL.

COMPUTE cultiv_perm_riego = (cultiv_perm = 1 & cp_riego = 1). /* Filtra cultivos permanentes con alguna clase de riego.
COMPUTE pastos_cultiv_riego = (pastos_cultiv = 1 & cp_riego = 1). /* Filtra pastos cultivados con alguna clase de riego.
FREQUENCIES cultiv_perm_riego pastos_cultiv_riego.

FILTER BY cultiv_perm.

WEIGHT BY fact_exp_fin.

***** TABLA 35.1 SUPERFICIE AGROPECUARIA BAJO RIEGO EN CULTIVOS PERMANENTES.

CTABLES
  /VLABELS VARIABLES=cp_riego cp_k409h DISPLAY=LABEL
  /TABLE cp_riego BY cp_k409h [SUM, COLPCT.SUM PCT40.1]
  /CATEGORIES VARIABLES=cp_riego ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO EN CULTIVOS PERMANENTES'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

* TABLA 35.3 SUPERFICIE AGROPECUARIA BAJO RIEGO EN PASTOS CULTIVADOS.

FILTER BY pastos_cultiv.

WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=cp_riego cp_k409h DISPLAY=LABEL
  /TABLE cp_riego BY cp_k409h [SUM, COLPCT.SUM PCT40.1]
  /CATEGORIES VARIABLES=cp_riego ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO EN PASTOS CULTIVADOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

WEIGHT OFF.
FILTER OFF.
USE ALL.

*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2017.sav) ***.

WEIGHT OFF.
FILTER OFF.
USE ALL.

COMPUTE cultiv_tran_riego = (cultiv_tran = 1 & ct_riego = 1). /* Filtra cultivos permanentes con alguna clase de riego.
FREQUENCIES cultiv_tran_riego.

FILTER BY cultiv_tran.

WEIGHT BY fact_exp_fin.

***** TABLA 35.2 SUPERFICIE AGROPECUARIA BAJO RIEGO EN CULTIVOS TRANSITORIOS.

CTABLES
  /VLABELS VARIABLES=ct_riego ct_k510h DISPLAY=LABEL
  /TABLE ct_riego BY ct_k510h [SUM, COLPCT.SUM PCT40.1]
  /CATEGORIES VARIABLES=ct_riego ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO EN CULTIVOS TRANSITORIOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

WEIGHT OFF.
FILTER OFF.
USE ALL.

*** ABRIR BASE DE FLORES PERMANENTES (fpnac2017.sav) ***.

WEIGHT OFF.
FILTER OFF.
USE ALL.

COMPUTE flores_perm_riego = (fp_riego = 1). /* Filtra cultivos permanentes con alguna clase de riego.
FREQUENCIES flores_perm_riego.

WEIGHT BY fac_exp_fin.

***** TABLA 35.4 SUPERFICIE AGROPECUARIA BAJO RIEGO EN FLORES PERMANENTES.

CTABLES
  /VLABELS VARIABLES=fp_riego fp_k706h DISPLAY=LABEL
  /TABLE fp_riego BY fp_k706h [SUM, COLPCT.SUM PCT40.1]
  /CATEGORIES VARIABLES=fp_riego ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO EN FLORES PERMANENTES'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

*** ABRIR BASE DE FLORES TRANSITORIAS (ftnac2017.sav) ***.

WEIGHT OFF.
FILTER OFF.
USE ALL.

COMPUTE flores_tran_riego = (ft_riego = 1). /* Filtra cultivos permanentes con alguna clase de riego.
FREQUENCIES flores_tran_riego.

WEIGHT BY fac_exp_fin.

***** TABLA 35.5 SUPERFICIE AGROPECUARIA BAJO RIEGO EN FLORES TRANSITORIAS.

CTABLES
  /VLABELS VARIABLES=ft_riego ft_k720h DISPLAY=LABEL
  /TABLE ft_riego BY ft_k720h [SUM, COLPCT.SUM PCT40.1]
  /CATEGORIES VARIABLES=ft_riego ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO EN FLORES TRANSITORIAS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 36. SUPERFICIE BAJO RIEGO, POR MTODO DE RIEGO Y SEGN TIPO DE CULTIVO.
* TABLA 36.1 SUPERFICIE BAJO RIEGO, POR MTODO DE RIEGO EN CULTIVOS PERMANENTES.

*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.

COMPUTE sup_riego_surc = cp_porc_surc * cp_k409h / 100. /* Superficie de cultivos permanentes regada por surcos-inundacin.
COMPUTE sup_riego_aspe = cp_porc_aspe * cp_k409h / 100.  /* Superficie de cultivos permanentes regada por aspersin.
COMPUTE sup_riego_micr = cp_porc_micr * cp_k409h / 100.  /* Superficie de cultivos permanentes regada por microaspersin.
COMPUTE sup_riego_gote = cp_porc_gote * cp_k409h / 100.  /* Superficie de cultivos permanentes regada por goteo.
COMPUTE sup_riego_nebu = cp_porc_nebu * cp_k409h / 100. /* Superficie de cultivos permanentes regada por nebulizacin.
COMPUTE sup_riego_otro = cp_porc_otro * cp_k409h / 100.  /* Superficie de cultivos permanentes regada por otra tecnologa.
EXECUTE.

WEIGHT BY fact_exp_fin. /* Toda superficie debe expandirse con este factor de expansin.

FILTER BY cultiv_perm_riego.

***** TABLA 36.1 SUPERFICIE BAJO RIEGO, POR MTODO DE RIEGO EN CULTIVOS PERMANENTES.

CTABLES
  /VLABELS VARIABLES=sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote sup_riego_nebu sup_riego_otro cp_riego 
    DISPLAY=LABEL
  /TABLE sup_riego_surc [SUM] + sup_riego_aspe [SUM] + sup_riego_micr [SUM] + sup_riego_gote [SUM] + sup_riego_nebu [SUM] + sup_riego_otro [SUM] BY cp_riego
  /CATEGORIES VARIABLES=cp_riego [1] EMPTY=INCLUDE
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO, POR MTODO DE RIEGO EN CULTIVOS PERMANENTES'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

***** TABLA 36.3 SUPERFICIE BAJO RIEGO, POR MTODO DE RIEGO EN PASTOS CULTIVADOS.

FILTER BY pastos_cultiv_riego.

CTABLES
  /VLABELS VARIABLES=sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote sup_riego_nebu sup_riego_otro cp_riego 
    DISPLAY=LABEL
  /TABLE sup_riego_surc [SUM] + sup_riego_aspe [SUM] + sup_riego_micr [SUM] + sup_riego_gote [SUM] + sup_riego_nebu [SUM] + sup_riego_otro [SUM] BY cp_riego
  /CATEGORIES VARIABLES=cp_riego [1] EMPTY=INCLUDE
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO, POR MTODO DE RIEGO EN PASTOS CULTIVADOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

FILTER OFF.
USE ALL.
WEIGHT OFF.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 36.2 SUPERFICIE BAJO RIEGO, POR MTODO DE RIEGO EN CULTIVOS TRANSITORIOS.

*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.

COMPUTE sup_riego_surc = ct_porc_surc * ct_k510h / 100. /* Superficie de cultivos transitorios regada por surcos-inundacin.
COMPUTE sup_riego_aspe = ct_porc_aspe * ct_k510h / 100.  /* Superficie de cultivos transitorios regada por aspersin.
COMPUTE sup_riego_micr = ct_porc_micr * ct_k510h / 100.  /* Superficie de cultivos transitorios regada por microaspersin.
COMPUTE sup_riego_gote = ct_porc_gote * ct_k510h / 100.  /* Superficie de cultivos transitorios regada por goteo.
COMPUTE sup_riego_nebu = ct_porc_nebu * ct_k510h / 100. /* Superficie de cultivos transitorios regada por nebulizacin.
COMPUTE sup_riego_otro = ct_porc_otro * ct_k510h / 100.  /* Superficie de cultivos transitorios regada por otra tecnologa.
EXECUTE.

WEIGHT BY fact_exp_fin. /* Toda superficie debe expandirse con este factor de expansin.

FILTER BY cultiv_tran_riego.

***** TABLA 36.2 SUPERFICIE BAJO RIEGO, POR MTODO DE RIEGO EN CULTIVOS TRANSITORIOS.

CTABLES
  /VLABELS VARIABLES=sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote sup_riego_nebu sup_riego_otro ct_riego 
    DISPLAY=LABEL
  /TABLE sup_riego_surc [SUM] + sup_riego_aspe [SUM] + sup_riego_micr [SUM] + sup_riego_gote [SUM] + sup_riego_nebu [SUM] + sup_riego_otro [SUM] BY ct_riego
  /CATEGORIES VARIABLES=ct_riego [1] EMPTY=INCLUDE
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO, POR MTODO DE RIEGO EN CULTIVOS TRANSITORIOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

FILTER OFF.
USE ALL.
WEIGHT OFF.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 36.4 SUPERFICIE BAJO RIEGO, POR MTODO DE RIEGO EN FLORES PERMANENTES.

*** ABRIR BASE DE FLORES PERMANENTES (fpnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.

COMPUTE sup_riego_surc = fp_porc_surc * fp_k706h / 100. /* Superficie de flores permanentes regada por surcos-inundacin.
COMPUTE sup_riego_aspe = fp_porc_aspe * fp_k706h / 100.  /* Superficie de flores permanentes regada por aspersin.
COMPUTE sup_riego_micr = fp_porc_micr * fp_k706h / 100.  /* Superficie de flores permanentes regada por microaspersin.
COMPUTE sup_riego_gote = fp_porc_gote * fp_k706h / 100.  /* Superficie de flores permanentes regada por goteo.
COMPUTE sup_riego_nebu = fp_porc_nebu * fp_k706h / 100. /* Superficie de flores permanentes regada por nebulizacin.
COMPUTE sup_riego_otro = fp_porc_otro * fp_k706h / 100.  /* Superficie de flores permanentes regada por otra tecnologa.
EXECUTE.

WEIGHT BY fac_exp_fin. /* Toda superficie debe expandirse con este factor de expansin.

FILTER BY flores_perm_riego.

***** TABLA 36.4 SUPERFICIE BAJO RIEGO, POR MTODO DE RIEGO EN FLORES PERMANENTES.

CTABLES
  /VLABELS VARIABLES=sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote sup_riego_nebu sup_riego_otro fp_riego 
    DISPLAY=LABEL
  /TABLE sup_riego_surc [SUM] + sup_riego_aspe [SUM] + sup_riego_micr [SUM] + sup_riego_gote [SUM] + sup_riego_nebu [SUM] + sup_riego_otro [SUM] BY fp_riego
  /CATEGORIES VARIABLES=fp_riego [1] EMPTY=INCLUDE
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO, POR MTODO DE RIEGO EN FLORES PERMANENTES'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

FILTER OFF.
USE ALL.
WEIGHT OFF.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 36.5 SUPERFICIE BAJO RIEGO, POR MTODO DE RIEGO EN FLORES TRANSITORIAS.

*** ABRIR BASE DE FLORES TRANSITORIAS (ftnac2017.sav) ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.

COMPUTE sup_riego_surc = ft_porc_surc * ft_k720h / 100. /* Superficie de flores transitorias regada por surcos-inundacin.
COMPUTE sup_riego_aspe = ft_porc_aspe * ft_k720h / 100.  /* Superficie de flores transitorias regada por aspersin.
COMPUTE sup_riego_micr = ft_porc_micr * ft_k720h / 100.  /* Superficie de flores transitorias regada por microaspersin.
COMPUTE sup_riego_gote = ft_porc_gote * ft_k720h / 100.  /* Superficie de flores transitorias regada por goteo.
COMPUTE sup_riego_nebu = ft_porc_nebu * ft_k720h / 100. /* Superficie de flores transitorias regada por nebulizacin.
COMPUTE sup_riego_otro = ft_porc_otro * ft_k720h / 100.  /* Superficie de flores transitorias regada por otra tecnologa.
EXECUTE.

WEIGHT BY fac_exp_fin. /* Toda superficie debe expandirse con este factor de expansin.

FILTER BY flores_tran_riego.

CTABLES
  /VLABELS VARIABLES=sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote sup_riego_nebu sup_riego_otro ft_riego 
    DISPLAY=LABEL
  /TABLE sup_riego_surc [SUM] + sup_riego_aspe [SUM] + sup_riego_micr [SUM] + sup_riego_gote [SUM] + sup_riego_nebu [SUM] + sup_riego_otro [SUM] BY ft_riego
  /CATEGORIES VARIABLES=ft_riego [1] EMPTY=INCLUDE
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO, POR MTODO DE RIEGO EN FLORES TRANSITORIAS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

FILTER OFF.
USE ALL.
WEIGHT OFF.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 37. SUPERFICIE BAJO RIEGO POR TIPO DE CULTIVO PERMANENTE Y SEGN MTODO DE RIEGO.

*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac2017.sav) ***.

WEIGHT OFF.
FILTER OFF.
USE ALL.

FILTER BY cultiv_perm_riego.
WEIGHT BY fact_exp_fin.

***** TABLA 37. SUPERFICIE BAJO RIEGO POR TIPO DE CULTIVO PERMANENTE Y SEGN MTODO DE RIEGO.

CTABLES
  /VLABELS VARIABLES=cp_nclavr sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote sup_riego_nebu sup_riego_otro DISPLAY=LABEL
  /TABLE cp_nclavr [C] BY sup_riego_surc [SUM] + sup_riego_aspe [SUM] + sup_riego_micr [SUM] + sup_riego_gote [SUM] + sup_riego_nebu [S][SUM] + sup_riego_otro [SUM]
  /CATEGORIES VARIABLES=cp_nclavr ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='SUPERFICIE BAJO RIEGO, POR TIPO DE CULTIVO PERMANENTE Y SEGN MTODO DE RIEGO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

FILTER OFF.
USE ALL.
WEIGHT OFF.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 38. SUPERFICIE BAJO RIEGO, POR TIPO DE CULTIVO TRANSITORIO Y SEGN MTODO DE RIEGO.

*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2017.sav) ***.

WEIGHT OFF.
FILTER OFF.
USE ALL.

FILTER BY cultiv_tran_riego.
WEIGHT BY fact_exp_fin.

***** TABLA 38. SUPERFICIE BAJO RIEGO, POR TIPO DE CULTIVO TRANSITORIO Y SEGN MTODO DE RIEGO.

CTABLES
  /VLABELS VARIABLES=ct_nclavr sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote sup_riego_nebu sup_riego_otro DISPLAY=LABEL
  /TABLE ct_nclavr [C] BY sup_riego_surc [SUM] + sup_riego_aspe [SUM] + sup_riego_micr [SUM] + sup_riego_gote [SUM] + sup_riego_nebu [S][SUM] + sup_riego_otro [SUM]
  /CATEGORIES VARIABLES=ct_nclavr ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='SUPERFICIE BAJO RIEGO, POR TIPO DE CULTIVO TRANSITORIO Y SEGN MTODO DE RIEGO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

FILTER OFF.
USE ALL.
WEIGHT OFF.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 39. SUPERFICIE BAJO RIEGO, POR TIPO DE PASTO CULTIVADO Y SEGN MTODO DE RIEGO.

*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac2017.sav) ***.

WEIGHT OFF.
FILTER OFF.
USE ALL.

FILTER BY pastos_cultiv_riego.
WEIGHT BY fact_exp_fin.

***** TABLA 39. SUPERFICIE BAJO RIEGO POR TIPO DE PASTO CULTIVADO Y SEGN MTODO DE RIEGO.

CTABLES
  /VLABELS VARIABLES=cp_clacul sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote sup_riego_nebu sup_riego_otro DISPLAY=LABEL
  /TABLE cp_clacul [C] BY sup_riego_surc [SUM] + sup_riego_aspe [SUM] + sup_riego_micr [SUM] + sup_riego_gote [SUM] + sup_riego_nebu [S][SUM] + sup_riego_otro [SUM]
  /CATEGORIES VARIABLES=cp_clacul ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='SUPERFICIE BAJO RIEGO, POR TIPO DE PASTO CULTIVADO Y SEGN MTODO DE RIEGO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2015-2017'.

FILTER OFF.
USE ALL.
WEIGHT OFF.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* ABRIR BASE DEL MDULO AMBIENTAL (ambnac2017.sav) ***.

DATASET NAME ambientales.

* TABLA 40. DISTRIBUCIN DE AGUA DE RIEGO USADA POR LOS PRODUCTORES AGROPECUARIOS, POR TIPO DE FUENTE.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

DESCRIPTIVES VARIABLES=plag_porcredpub plag_porcfuesuper plag_porcfuesubte plag_porclluvia plag_porcotros
  /STATISTICS=MEAN STDDEV MIN MAX.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /PRESORTED
  /BREAK=
  /plag_A_mean=MEAN(plag_porcredpub) 
  /plag_B_mean=MEAN(plag_porcfuesuper) 
  /plag_C_mean=MEAN(plag_porcfuesubte) 
  /plag_D_mean=MEAN(plag_porclluvia) 
  /plag_E_mean=MEAN(plag_porcotros).

COMPUTE A = 1987 / 8235 * plag_A_mean. /* 8235 son el total de Personas Productoras facultadas para responder la Seccin IV. Agua.
COMPUTE B = 5609 / 8235 * plag_B_mean. /* 8235 son el total de Personas Productoras facultadas para responder la Seccin IV. Agua.
COMPUTE C = 1685 / 8235 * plag_C_mean. /* 8235 son el total de Personas Productoras facultadas para responder la Seccin IV. Agua.
COMPUTE D = 243 / 8235 * plag_D_mean. /* 8235 son el total de Personas Productoras facultadas para responder la Seccin IV. Agua.
COMPUTE E = 154 / 8235 * plag_E_mean. /* 8235 son el total de Personas Productoras facultadas para responder la Seccin IV. Agua.
/* Los numeradores de los clculos anteriores proceden del comando DESCRIPTIVES anterior.

VARIABLE LABELS A "Red pblica".
VARIABLE LABELS B "Fuente natural superficial".
VARIABLE LABELS C "Fuente natural subterrnea".
VARIABLE LABELS D "Lluvia".
VARIABLE LABELS E "Otros".

FILTER BY SYS_Riego. /* Aplica nicamente a.

***** TABLA 40. DISTRIBUCIN DE AGUA DE RIEGO USADA POR LOS PRODUCTORES AGROPECUARIOS, POR TIPO DE FUENTE

CTABLES
  /VLABELS VARIABLES=A B C D E DISPLAY=LABEL
  /TABLE A [S][MEAN] + B [S][MEAN] + C [S][MEAN] + D [S][MEAN] + E [S][MEAN]
  /TITLES
    TITLE='DISTRIBUCIN DE AGUA DE RIEGO USADA POR LOS PRODUCTORES AGROPECUARIOS, POR TIPO DE FUENTE'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 41. DISTRIBUCIN DE TIEMPO DESDE QUE LOS PRODUCTORES AGROPECUARIOS REALIZARON EL LTIMO ANLISIS DE AGUA, POR PERODO DE TIEMPO.

CTABLES
  /VLABELS VARIABLES=ag_analagua DISPLAY=LABEL
  /TABLE ag_analagua [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=ag_analagua ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='DISTRIBUCIN DE TIEMPO DESDE QUE LOS PRODUCTORES AGROPECUARIOS REALIZARON EL LTIMO ANLISIS DE AGUA, POR PERODO DE TIEMPO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 42. DISTRIBUCIN DE TECNOLOGAS DE RIEGO QUE LOS PRODUCTORES AGROPECUARIOS USAN PARA SUS ACTIVIDADES, POR TIPO DE TECNOLOGA.

CTABLES
  /VLABELS VARIABLES=ag_rsfertirri ag_rbombas ag_rreservorio DISPLAY=LABEL
  /TABLE BY ag_rsfertirri [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + ag_rbombas [C][COUNT F40.0, 
    ROWPCT.COUNT PCT40.1] + ag_rreservorio [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=ag_rsfertirri ag_rbombas ag_rreservorio ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='DISTRIBUCIN DE TECNOLOGAS DE RIEGO QUE LOS PRODUCTORES AGROPECUARIOS USAN PARA SUS ACTIVIDADES, POR TIPO DE TECNOLOGA'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 43. ORIENTACIN SOCIAL DEL SISTEMA DE RIEGO QUE UTILIZAN LOS PRODUCTORES AGROPECUARIOS, POR TIPO DE ORIENTACIN SOCIAL.

CTABLES
  /VLABELS VARIABLES=plag_sistema_riego DISPLAY=LABEL
  /TABLE plag_sistema_riego [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=plag_sistema_riego ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='ORIENTACIN SOCIAL DEL SISTEMA DE RIEGO QUE UTILIZAN LOS PRODUCTORES AGROPECUARIOS, POR TIPO DE ORIENTACIN SOCIAL'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 44. SISTEMAS DE RIEGO QUE CUENTAN CON ESTACIONES DE BOMBEO.

CTABLES
  /VLABELS VARIABLES=plag_bombeo DISPLAY=LABEL
  /TABLE plag_bombeo [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=plag_bombeo ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='SISTEMAS DE RIEGO QUE CUENTAN CON ESTACIONES DE BOMBEO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** TABLA 45. PERTENENCIA DE LOS PRODUCTORES AGROPECUARIOS A ALGUNA JUNTA DE RIEGO.

CTABLES
  /VLABELS VARIABLES=plag_junta_riego DISPLAY=LABEL
  /TABLE plag_junta_riego [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=plag_junta_riego ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PERTENENCIA DE LOS PRODUCTORES AGROPECUARIOS A ALGUNA JUNTA DE RIEGO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.


*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

***** TABLA 46. INTENSIDAD DE USO DE FERTILIZANTES POR CULTIVOS TRANSITORIOS (kg/ ha y l/ha)

*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2017.sav)***.

* Transformacin a Kilogramos. Litros -  NPK
* MASA - VOLUMEN   /  Kilogramos - Litros

DO IF (ct_umed_npk_fq = 1).
COMPUTE NPK_Masa=ct_cantidad_npk_fq * 0.453592.
ELSE IF (ct_umed_npk_fq = 2).
COMPUTE NPK_Masa=ct_cantidad_npk_fq .
ELSE IF (ct_umed_npk_fq = 3).
COMPUTE NPK_Masa=ct_cantidad_npk_fq * 45.359237.
ELSE IF (ct_umed_npk_fq = 4).
COMPUTE NPK_Masa=ct_cantidad_npk_fq * 1000.
ELSE IF (ct_umed_npk_fq = 5).
COMPUTE NPK_Volum=ct_cantidad_npk_fq .
END IF.

* Transformacin a Kilogramos. Litros -  NITROGENADOS 
* MASA - VOLUMEN   /  Kilogramos - Litros

DO IF (ct_umed_nit_fq = 1).
COMPUTE Nitr_Masa=ct_cantidad_nit_fq * 0.453592.
ELSE IF (ct_umed_nit_fq = 2).
COMPUTE Nitr_Masa=ct_cantidad_nit_fq .
ELSE IF (ct_umed_nit_fq = 3).
COMPUTE Nitr_Masa=ct_cantidad_nit_fq * 45.359237.
ELSE IF (ct_umed_nit_fq = 4).
COMPUTE Nitr_Masa=ct_cantidad_nit_fq * 1000.
ELSE IF (ct_umed_nit_fq = 5).
COMPUTE Nitr_Volum=ct_cantidad_nit_fq .
END IF.

* Transformacin a Kilogramos. Litros -  FOSFATADOS 
* MASA - VOLUMEN   /  Kilogramos - Litros

DO IF (ct_umed_fq = 1).
COMPUTE Fosf_Masa=ct_cantidad_fq * 0.453592.
ELSE IF (ct_umed_fq = 2).
COMPUTE Fosf_Masa=ct_cantidad_fq .
ELSE IF (ct_umed_fq = 3).
COMPUTE Fosf_Masa=ct_cantidad_fq * 45.359237.
ELSE IF (ct_umed_fq = 4).
COMPUTE Fosf_Masa=ct_cantidad_fq * 1000.
ELSE IF (ct_umed_fq = 5).
COMPUTE Fosf_Volum=ct_cantidad_fq .
END IF.

* Transformacin a Kilogramos. Litros -  POTASICOS 
* MASA - VOLUMEN   /  Kilogramos - Litros


DO IF (ct_umed_pot_fq = 1).
COMPUTE Pot_Masa=ct_cantidad_pot_fq * 0.453592.
ELSE IF (ct_umed_pot_fq = 2).
COMPUTE Pot_Masa=ct_cantidad_pot_fq .
ELSE IF (ct_umed_pot_fq = 3).
COMPUTE Pot_Masa=ct_cantidad_pot_fq * 45.359237.
ELSE IF (ct_umed_pot_fq = 4).
COMPUTE Pot_Masa=ct_cantidad_pot_fq * 1000.
ELSE IF (ct_umed_pot_fq = 5).
COMPUTE Pot_Volum=ct_cantidad_pot_fq .
END IF.

***************** Filtro para cultivos fuera de rango *********************************.

COMPUTE VAR_NPK=NPK_Masa / ct_k510h.
COMPUTE VAR_N=Nitr_Masa / ct_k510h.
COMPUTE VAR_P=Fosf_Masa / ct_k510h.
COMPUTE VAR_K=Pot_Masa / ct_k510h.
EXECUTE.

COMPUTE Filtro0=1.
DO IF ((ct_clacul = 530 | ct_clacul = 532) & (VAR_NPK > 400 | VAR_N > 400 | VAR_P > 400 | VAR_K > 400)).
RECODE Filtro0 (1=0).
END IF.
EXECUTE.

USE ALL.
FILTER BY Filtro0.

*************************************************************************
***************** Fertilizantes por tipo de cultivivo ******************

WEIGHT BY fact_exp_fin.

DESCRIPTIVES VARIABLES=NPK_Masa NPK_Volum Nitr_Masa Nitr_Volum Fosf_Masa Fosf_Volum Pot_Masa 
    Pot_Volum
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

* Superficie sembrada con fertilizantes

WEIGHT OFF.

COMPUTE Fil_NPK_Masa = (NPK_Masa > 0).
COMPUTE Fil_NPK_Volum = (NPK_Volum > 0).
COMPUTE Fil_Nitr_Masa = (Nitr_Masa > 0).
COMPUTE Fil_Nitr_Volum = (Nitr_Volum > 0).
COMPUTE Fil_Fosf_Masa = (Fosf_Masa > 0).
COMPUTE Fil_Fosf_Volum = (Fosf_Volum > 0).
COMPUTE Fil_Pot_Masa = (Pot_Masa > 0).
COMPUTE Fil_Pot_Volum = (Pot_Volum > 0).

WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=ct_k510h Fil_NPK_Masa Fil_NPK_Volum Fil_Nitr_Masa Fil_Nitr_Volum Fil_Fosf_Masa 
    Fil_Fosf_Volum Fil_Pot_Masa Fil_Pot_Volum 
    DISPLAY=LABEL
  /TABLE ct_k510h [SUM] BY Fil_NPK_Masa + Fil_NPK_Volum + Fil_Nitr_Masa + Fil_Nitr_Volum + 
    Fil_Fosf_Masa + Fil_Fosf_Volum + Fil_Pot_Masa + Fil_Pot_Volum
  /CATEGORIES VARIABLES=Fil_NPK_Masa Fil_NPK_Volum Fil_Nitr_Masa Fil_Nitr_Volum Fil_Fosf_Masa 
    Fil_Fosf_Volum Fil_Pot_Masa Fil_Pot_Volum ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='SUPERFICIE CON USO DE FERTILIZANTES EN CULTIVOS TRANSITORIOS, SEGN CLASE DE FERTILIZANTE QUMICO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


**** Cultivos transitorios **********.

CTABLES
  /VLABELS VARIABLES=ct_clacul NPK_Masa NPK_Volum Nitr_Masa Nitr_Volum Fosf_Masa Fosf_Volum 
    Pot_Masa Pot_Volum 
    DISPLAY=LABEL
  /TABLE ct_clacul [C] BY NPK_Masa [SUM] + NPK_Volum [SUM] + Nitr_Masa [SUM] + Nitr_Volum [SUM] + 
    Fosf_Masa [SUM] + Fosf_Volum [SUM] + Pot_Masa [SUM] + Pot_Volum [SUM]
  /CATEGORIES VARIABLES=ct_clacul [507, 508, 516, 530, 531, 532, 533, 547, 548, 549, 561, 577] 
    EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='MASA / VOLUMEN USADOS DE FERTILIZANTES, POR CIERTOS CULTIVOS TRANSITORIOS Y SEGN CLASE DE FERTILIZANTE QUMICO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ct_clacul ct_k510h Fil_NPK_Masa Fil_NPK_Volum Fil_Nitr_Masa Fil_Nitr_Volum 
    Fil_Fosf_Masa Fil_Fosf_Volum Fil_Pot_Masa Fil_Pot_Volum 
    DISPLAY=LABEL
  /TABLE ct_clacul [C] BY ct_k510h [S][SUM] > (Fil_NPK_Masa [C] + Fil_NPK_Volum [C] + Fil_Nitr_Masa 
    [C] + Fil_Nitr_Volum [C] + Fil_Fosf_Masa [C] + Fil_Fosf_Volum [C] + Fil_Pot_Masa [C] + 
    Fil_Pot_Volum [C])
  /CATEGORIES VARIABLES=ct_clacul [507, 508, 516, 530, 531, 532, 533, 547, 548, 549, 561, 577] 
    EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Fil_NPK_Masa Fil_NPK_Volum Fil_Nitr_Masa Fil_Nitr_Volum Fil_Fosf_Masa 
    Fil_Fosf_Volum Fil_Pot_Masa Fil_Pot_Volum ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='SUPERFICIE Y MASA / VOLUMEN USADO DE FERTILIZANTES, POR CIERTOS CULTIVOS TRANSITORIOS Y SEGN CLASE DE FERTILIZANTE QUMICO' '(kg/ ha y l/ha)'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

***** CULTIVOS TRANSITORIOS TOTALES.

COMPUTE Tot_mas_per=SUM(NPK_Masa,Nitr_Masa,Fosf_Masa,Pot_Masa).
COMPUTE Tot_vol_per=SUM(NPK_Volum,Nitr_Volum,Fosf_Volum,Pot_Volum).
EXECUTE.

WEIGHT OFF.

COMPUTE Fil_Tot_mas_per = (Tot_mas_per > 0).
COMPUTE Fil_Tot_vol_per = (Tot_vol_per > 0).

WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=ct_k510h Fil_Tot_mas_per Fil_Tot_vol_per DISPLAY=LABEL
  /TABLE BY ct_k510h [SUM] > (Fil_Tot_mas_per + Fil_Tot_vol_per)
  /CATEGORIES VARIABLES=Fil_Tot_mas_per Fil_Tot_vol_per ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='SUPERFICIE TOTAL CON USO DE FERTILIZANTES EN CULTIVOS TRANSITORIOS'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

* SUPERFICIE TOTAL.
CTABLES
  /VLABELS VARIABLES=ct_clacul ct_k510h Fil_Tot_mas_per Fil_Tot_vol_per DISPLAY=LABEL
  /TABLE ct_clacul [C] BY ct_k510h [S][SUM] > (Fil_Tot_mas_per [C] + Fil_Tot_vol_per [C])
  /CATEGORIES VARIABLES=ct_clacul [507, 508, 516, 530, 531, 532, 533, 547, 548, 549, 561, 577] 
    EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Fil_Tot_mas_per Fil_Tot_vol_per ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='SUPERFICIE TOTAL CON USO DE FERTILIZANTES EN CULTIVOS TRANSITORIOS POR TIPO DE CULTIVO PERMANENTE'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.


*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.


***** TABLA 47. INTENSIDAD DE USO DE FERTILIZANTES POR CULTIVOS PERMANENTES (kg/ ha y l/ha)

*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac2017.sav)***.

* Transformacin a Kilogramos. Litros - NPK  
* MASA - VOLUMEN   /  Kilogramos - Litros

DO IF (cp_umed_npk_fq = 1).
COMPUTE NPK_Masa=cp_cantidad_npk_fq * 0.453592.
ELSE IF (cp_umed_npk_fq = 2).
COMPUTE NPK_Masa=cp_cantidad_npk_fq .
ELSE IF (cp_umed_npk_fq = 3).
COMPUTE NPK_Masa= cp_cantidad_npk_fq * 45.359237.
ELSE IF (cp_umed_npk_fq = 4).
COMPUTE NPK_Masa=cp_cantidad_npk_fq * 1000.
ELSE IF (cp_umed_npk_fq = 5).
COMPUTE NPK_Volum=cp_cantidad_npk_fq .
END IF.

* Transformacin a Kilogramos. Litros -  NITROGENADOS 
* MASA - VOLUMEN   /  Kilogramos - Litros

DO IF (cp_umed_nit_fq = 1).
COMPUTE Nitr_Masa=cp_cantidad_nit_fq * 0.453592.
ELSE IF (cp_umed_nit_fq = 2).
COMPUTE Nitr_Masa=cp_cantidad_nit_fq .
ELSE IF (cp_umed_nit_fq = 3).
COMPUTE Nitr_Masa=cp_cantidad_nit_fq * 45.359237.
ELSE IF (cp_umed_nit_fq = 4).
COMPUTE Nitr_Masa=cp_cantidad_nit_fq * 1000.
ELSE IF (cp_umed_nit_fq = 5).
COMPUTE Nitr_Volum=cp_cantidad_nit_fq .
END IF.

* Transformacin a Kilogramos. Litros -  FOSFATADOS 
* MASA - VOLUMEN   /  Kilogramos - Litros"

DO IF (cp_umed_fq = 1).
COMPUTE Fosf_Masa=cp_cantidad_fq * 0.453592.
ELSE IF (cp_umed_fq = 2).
COMPUTE Fosf_Masa=cp_cantidad_fq .
ELSE IF (cp_umed_fq = 3).
COMPUTE Fosf_Masa=cp_cantidad_fq * 45.359237.
ELSE IF (cp_umed_fq = 4).
COMPUTE Fosf_Masa=cp_cantidad_fq * 1000.
ELSE IF (cp_umed_fq = 5).
COMPUTE Fosf_Volum=cp_cantidad_fq .
END IF.

* Transformacin a Kilogramos. Litros -  POTASICOS 
*  MASA - VOLUMEN   /  Kilogramos - Litros

DO IF (cp_umed_pot_fq = 1).
COMPUTE Pot_Masa=cp_cantidad_pot_fq * 0.453592.
ELSE IF (cp_umed_pot_fq = 2).
COMPUTE Pot_Masa=cp_cantidad_pot_fq .
ELSE IF (cp_umed_pot_fq = 3).
COMPUTE Pot_Masa=cp_cantidad_pot_fq * 45.359237.
ELSE IF (cp_umed_pot_fq = 4).
COMPUTE Pot_Masa=cp_cantidad_pot_fq * 1000.
ELSE IF (cp_umed_pot_fq = 5).
COMPUTE Pot_Volum=cp_cantidad_pot_fq .
END IF.

WEIGHT BY fact_exp_fin.

DESCRIPTIVES VARIABLES=NPK_Masa NPK_Volum Nitr_Masa Nitr_Volum Fosf_Masa Fosf_Volum Pot_Masa 
    Pot_Volum
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

* Superficie sembrada con fertilizantes

WEIGHT OFF.

COMPUTE Fil_NPK_Masa = (NPK_Masa > 0).
COMPUTE Fil_NPK_Volum = (NPK_Volum > 0).
COMPUTE Fil_Nitr_Masa = (Nitr_Masa > 0).
COMPUTE Fil_Nitr_Volum = (Nitr_Volum > 0).
COMPUTE Fil_Fosf_Masa = (Fosf_Masa > 0).
COMPUTE Fil_Fosf_Volum = (Fosf_Volum > 0).
COMPUTE Fil_Pot_Masa = (Pot_Masa > 0).
COMPUTE Fil_Pot_Volum = (Pot_Volum > 0).

WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=cp_k409h Fil_NPK_Masa Fil_NPK_Volum Fil_Nitr_Masa Fil_Nitr_Volum Fil_Fosf_Masa 
    Fil_Fosf_Volum Fil_Pot_Masa Fil_Pot_Volum 
    DISPLAY=LABEL
  /TABLE cp_k409h [SUM] BY Fil_NPK_Masa + Fil_NPK_Volum + Fil_Nitr_Masa + Fil_Nitr_Volum + 
    Fil_Fosf_Masa + Fil_Fosf_Volum + Fil_Pot_Masa + Fil_Pot_Volum
  /CATEGORIES VARIABLES=Fil_NPK_Masa Fil_NPK_Volum Fil_Nitr_Masa Fil_Nitr_Volum Fil_Fosf_Masa 
    Fil_Fosf_Volum Fil_Pot_Masa Fil_Pot_Volum ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='SUPERFICIE CON USO DE FERTILIZANTES EN CULTIVOS PERMANENTES, SEGN CLASE DE FERTILIZANTE QUMICO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

**** Algunos cultivos permanentes****.

WEIGHT BY fact_exp_fin.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_clacul NPK_Masa NPK_Volum Nitr_Masa Nitr_Volum Fosf_Masa Fosf_Volum 
    Pot_Masa Pot_Volum 
    DISPLAY=LABEL
  /TABLE cp_clacul [C] BY NPK_Masa [S][SUM] + NPK_Volum [S][SUM] + Nitr_Masa [S][SUM] + Nitr_Volum 
    [S][SUM] + Fosf_Masa [S][SUM] + Fosf_Volum [S][SUM] + Pot_Masa [S][SUM] + Pot_Volum [S][SUM]
  /CATEGORIES VARIABLES=cp_clacul [407, 410, 411, 412, 413, 414, 415, 416, 419, 444, 446, 456, 466] 
    EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='MASA / VOLUMEN USADOS DE FERTILIZANTES, POR CIERTOS CULTIVOS PERMANENTES Y SEGN CLASE DE FERTILIZANTE QUMICO'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_clacul cp_k409h Fil_NPK_Masa Fil_NPK_Volum Fil_Nitr_Masa Fil_Nitr_Volum 
    Fil_Fosf_Masa Fil_Fosf_Volum Fil_Pot_Masa Fil_Pot_Volum 
    DISPLAY=LABEL
  /TABLE cp_clacul [C] BY cp_k409h [S][SUM] > (Fil_NPK_Masa [C] + Fil_NPK_Volum [C] + Fil_Nitr_Masa 
    [C] + Fil_Nitr_Volum [C] + Fil_Fosf_Masa [C] + Fil_Fosf_Volum [C] + Fil_Pot_Masa [C] + 
    Fil_Pot_Volum [C])
  /CATEGORIES VARIABLES=cp_clacul [407, 410, 411, 412, 413, 414, 415, 416, 419, 444, 446, 456, 466] 
    EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Fil_NPK_Masa Fil_NPK_Volum Fil_Nitr_Masa Fil_Nitr_Volum Fil_Fosf_Masa 
    Fil_Fosf_Volum Fil_Pot_Masa Fil_Pot_Volum ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='SUPERFICIE Y MASA / VOLUMEN USADO DE FERTILIZANTES, POR CIERTOS CULTIVOS PERMANENTES Y SEGN CLASE DE FERTILIZANTE QUMICO' '(kg/ ha y l/ha)'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


***** CULTIVOS PERMANENTES TOTALES.

COMPUTE Tot_mas_per=SUM(NPK_Masa,Nitr_Masa,Fosf_Masa,Pot_Masa).
COMPUTE Tot_vol_per=SUM(NPK_Volum,Nitr_Volum,Fosf_Volum,Pot_Volum).
EXECUTE.

WEIGHT OFF.

COMPUTE Fil_Tot_mas_per = (Tot_mas_per > 0).
COMPUTE Fil_Tot_vol_per = (Tot_vol_per > 0).

WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=cp_k409h Fil_Tot_mas_per Fil_Tot_vol_per DISPLAY=LABEL
  /TABLE BY cp_k409h [S][SUM] > (Fil_Tot_mas_per [C] + Fil_Tot_vol_per [C])
  /CATEGORIES VARIABLES=Fil_Tot_mas_per Fil_Tot_vol_per ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='SUPERFICIE TOTAL CON USO DE FERTILIZANTES EN CULTIVOS PERMANENTES'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.

* SUPERFICIE TOTAL.
CTABLES
  /VLABELS VARIABLES=cp_clacul cp_k409h Fil_Tot_mas_per Fil_Tot_vol_per DISPLAY=LABEL
  /TABLE cp_clacul [C] BY cp_k409h [S][SUM] > (Fil_Tot_mas_per [C] + Fil_Tot_vol_per [C])
  /CATEGORIES VARIABLES=cp_clacul [407, 410, 411, 412, 413, 414, 415, 416, 419, 444, 446, 456, 466] 
    EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Fil_Tot_mas_per Fil_Tot_vol_per ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='SUPERFICIE TOTAL CON USO DE FERTILIZANTES EN CULTIVOS PERMANENTES POR TIPO DE CULTIVO PERMANENTE'
    CAPTION='Elaboracin: INEC' 'Fuente: Encuesta de Superficie y Produccin Agropecuaria Continua 2017'.


FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.


**************************************************************************************************************************************************************
**** FIN DE LA SINTAXIS DE TABULADOS DEL MDULO AMBIENTAL - ESPAC 2017.
**************************************************************************************************************************************************************

